%define _requires_exceptions devel\(libtwopigen\)\\|devel\(libgvrender\)\\|devel\(libcdt\)\\|devel\(libdotgen\)\\|devel\(libcommon\)\\|devel\(libpathplan\)\\|devel\(libneatogen\)\\|devel\(libcircogen\)\\|devel\(libgraph\)\\|devel\(libdotneato\)\\|devel\(libfdpgen\)\\|devel\(libpack\)


%define __libtoolize    /bin/true

%define kdeversion %(kde-config --version |grep KDE | perl -pi -e "s|KDE:||" | perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' )
%define kde33branch %(perl -e 'print int(%{kdeversion} <= 339)')


# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

%define lib_name_orig %mklibname koffice
%define lib_major 2
%define lib_name %lib_name_orig%lib_major

%define lib_name_orig_kexi %mklibname kexi
%define lib_major_kexi 0
%define lib_name_kexi %lib_name_orig_kexi%lib_major_kexi

%define use_enable_final 0
%define use_python 1

%define compile_apidox 0

%define krita_kjs_compile 0

%if %mdkversion > 200600
%define unstable 0
%else
%define unstable 0
%endif


Name:		koffice
URL:		http://www.koffice.org/
Summary:	Set of office applications for KDE
Version:    	1.5.91
%define subrel	4
Release:    	%mkrel 3
Epoch:		11

Source:    %name-%version.tar.bz2

Patch8:		koffice-1.2.92-fix-compile.patch.bz2
Patch9:		kdelibs-3.2-remove-rpath.patch
Patch12:	koffice-1.4.0a-fix-compile-ai-filter.patch.bz2

Patch13:	koffice-1.5.91-fix-compile.patch

Patch14:	koffice-1.5.91-fix-kchart-mimetypes.patch

Patch15:	koffice-1.5.91-fix-krita_pdf_mimetypes.patch

Patch16:	koffice-1.5.91-fix-kchart_mng_filter.patch
Patch17:	koffice-ole-filter.patch
Patch18:	koffce-xpdf-CVE-2007-0104.diff
Patch19:	koffice-xpdf-CVE-2007-3387.diff

Group:		Office
License:	GPL
BuildRoot:	%_tmppath/%name-%version-kde3-%release-root



%if %mdkversion <= 200600
BuildRequires:	XFree86-libs XFree86-devel
%else
BuildRequires:	libx11-devel	
%endif
BuildRequires:  libarts-devel db1-devel diffutils
BuildRequires:  freetype2-devel gettext
BuildRequires:  binutils-devel bzip2-devel
BuildRequires:  libjpeg-devel mng-devel png-devel
BuildRequires:  mktemp python-devel
BuildRequires:  readline-devel rpm-build texinfo zlib1-devel
BuildRequires:  libxslt-devel libxml2-devel >= 2.4.28-2mdk
BuildRequires:  kdelibs-devel >= 3.2-13mdk, wv2-devel
BuildRequires: ImageMagick-devel libjbig-devel
BuildRequires: aspell-devel >= 0.50.2 ruby-devel
BuildRequires:	libexif-devel libOpenEXR-devel 


BuildRequires: automake1.7

BuildRequires:  autoconf2.5

%if %krita_kjs_compile
BuildRequires:	kjsembed-devel
%else
BuildConflicts:	kjsembed-devel
%endif


%if %compile_apidox
BuildRequires: doxygen, graphviz
%endif

BuildRequires:	libart_lgpl-devel, mysql-devel, libwpd-devel
BuildRequires:  libpoppler-qt-devel

Conflicts:	koffice <= 1.3-10mdk


Requires:	koffice-kword, koffice-kspread, koffice-karbon, koffice-kugar, koffice-kpresenter, koffice-kivio, koffice-kformula, koffice-koshell, koffice-kexi, koffice-krita

%description
Office applications for the K Desktop Environment.

KOffice contains:
   * KWord: word processor
   * KSpread: spreadsheet
   * KPresenter: presentations
   * KChart: diagram generator
   * Kugar: A tool for generating business quality reports.
   * Kivio: A Visio-style flowcharting application.
   * Kexi: an integrated environment for managing data
   * Some filters (Excel 97, Winword 97/2000, etc.)



%package progs
Group:		Office
Summary:	Set of office applications for KDE
Conflicts:	%lib_name <= 1.3-10mdk
Obsoletes:	%lib_name
Requires:   kdelibs >= 3.4
# into cooker we provides kghostview-lib not before
%if %mdkversion > 200600
Requires:	kghostview-lib
%else
Requires:	kdegraphics-kghostview
%endif
Requires:   %lib_name-progs = %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Requires:	arts
Conflicts:	kexi <= 0.1-0.beta4.3mdk
Requires:	wordnet
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
%if %mdkversion >= 200600
Requires: koffice-l10n
%endif


%description progs
Libraries file for Koffice


%package -n %lib_name-progs
Group:		Development/KDE and Qt
Summary:	Libraries files for Koffice
Conflicts:	%lib_name <= 1.3-10mdk
Obsoletes:	%lib_name
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-progs
Libraries file for Koffice

%package -n %lib_name-progs-devel
Group:		Development/KDE and Qt
Summary:	Header files for developing koffice applications
Requires:      %lib_name-progs = %epoch:%{version}-%{release}
Obsoletes:     koffice-devel
Provides:      koffice-devel = %epoch:%version-%release
Conflicts:	%lib_name-devel <= 1.3-10mdk
Obsoletes:	%lib_name-devel
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-progs-devel
Header files needed for developing koffice applications.


%package kword
Summary:	Word processor for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kword = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kword
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Requires:	wordnet
Requires:   koffice-kformula
Provides:	koffice-apps

%description kword
Kword is a word processor for kde project


%package -n %lib_name-kword
Group:		Development/KDE and Qt
Summary:	Libraries files for KWord
Conflicts:	koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kword
Libraries file for KWord



%package kplato
Summary:	A new project management application for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kword = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kplato
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   koffice-apps

%description kplato
A new project management application for koffice.


%package -n %lib_name-kplato
Group:		Development/KDE and Qt
Summary:	Libraries files for KPlato
Conflicts:	koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kplato
Libraries file for KPlato


%package -n %lib_name-kword-devel
Group:		Development/KDE and Qt
Summary:	Header files for kword
Requires:     	koffice-progs = %epoch:%{version}-%{release}
Requires:      %lib_name-kword-devel = %epoch:%{version}-%{release}

Provides:      kword-devel = %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kword-devel
Header files needed for developing kword.

%package kspread
Summary:	SpreadSheet for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kspread = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kspread
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   koffice-apps

%description kspread
KSpread is a spreadsheet for kde project


%package -n %lib_name-kspread
Group:		Development/KDE and Qt
Summary:	Libraries files for KSpread
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kspread
Libraries file for KSpread

%package -n %lib_name-kspread-devel
Group:		Development/KDE and Qt
Summary:	Header files for kspread
Requires:      %lib_name-progs = %epoch:%{version}-%{release}
Requires:      %lib_name-kspread = %epoch:%{version}-%{release}
Provides:      kspread-devel = %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kspread-devel
Header files needed for developing kspread.


%package kpresenter
Summary:	Presentation for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kpresenter = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kpresenter
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Requires:   koffice-kformula
Provides:   koffice-apps

%description kpresenter
KPresenter is a presentation for kde project.

%package -n %lib_name-kpresenter
Group:		Development/KDE and Qt
Summary:	Libraries files for KPresenter
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kpresenter
Libraries file for KPresenter


%package -n %lib_name-kpresenter-devel
Group:		Development/KDE and Qt
Summary:	Devel files for KPresenter
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Requires:      %lib_name-progs = %epoch:%{version}-%{release}
Requires:      %lib_name-kpresenter = %epoch:%{version}-%{release}
Provides:      kpresenter-devel = %epoch:%version-%release

%description -n %lib_name-kpresenter-devel
Devel file for KPresenter


%package kformula
Summary:	Formula for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kformula = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kformula
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   koffice-apps

%description kformula
KFormula is a formula for kde project.

%package -n %lib_name-kformula
Group:		Development/KDE and Qt
Summary:	Libraries files for KFormula

Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kformula
Libraries file for KFormula


%package -n %lib_name-kformula-devel
Group:		Development/KDE and Qt
Summary:	Devel files for KFormula
Requires:	%lib_name-kformula = %epoch:%version-%release

%description -n %lib_name-kformula-devel
Devel file for KFormula


%package koshell
Summary:	Koshell for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-koshell = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	koshell
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   koffice-apps

%description koshell
Koshell for kde project.

%package -n %lib_name-koshell
Group:		Development/KDE and Qt
Summary:	Libraries files for KOshell
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-koshell
Libraries file for KOshell



%package kivio
Summary:	Diagramme for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kivio = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kivio
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   koffice-apps

%description kivio
Kivio is a diagramme for kde project.

%package -n %lib_name-kivio
Group:		Development/KDE and Qt
Summary:	Libraries files for KIvio
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kivio
Libraries file for KIvio


%package -n %lib_name-kivio-devel
Group:		Development/KDE and Qt
Summary:	Devel files for KIvio
Requires:	%lib_name-kivio = %epoch:%version-%release

%description -n %lib_name-kivio-devel
Header files for KIvio.


%package karbon
Summary:	Scalable drawing for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-karbon = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	karbon
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   koffice-apps

%description karbon
Karbon is a scalable drawing for kde project.

%package -n %lib_name-karbon
Group:		Development/KDE and Qt
Summary:	Libraries files for KArbon
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-karbon
Libraries file for KArbon

%package -n %lib_name-karbon-devel
Group:		Development/KDE and Qt
Summary:	Header files for kivio
Requires:      %lib_name-progs = %epoch:%{version}-%{release}
Requires:	%lib_name-karbon = %epoch:%version-%release
Provides:      karbon-devel = %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-karbon-devel
Header files needed for developing karbon.


%package krita
Summary:	A pixel-based image manipulation program.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-krita = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	krita
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   koffice-apps
Obsoletes:  krita-plugins

%description krita
Krita is a pixel-based image manipulation program.

%package -n %lib_name-krita
Group:		Development/KDE and Qt
Summary:	Libraries files for Krita
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-krita
Libraries file for Krita

%if %krita_kjs_compile
%package -n %lib_name-krita-kjsembed
Group:      Development/KDE and Qt
Summary:    Libraries files for Krita

%description -n %lib_name-krita-kjsembed
Krita file to use kjs script
%endif


%package -n %lib_name-krita-devel
Group:		Development/KDE and Qt
Summary:	Header files for krita
Requires:      %lib_name-progs = %epoch:%{version}-%{release}
Requires:	%lib_name-krita = %epoch:%version-%release
Provides:      krita-devel = %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-krita-devel
Header files needed for developing krita.


%package kexi
Summary:	An integrated environment for managing data.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kexi = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kexi >= %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Obsoletes:	kexi <= 0.1-0.beta5.5mdk	
Provides:   koffice-apps

%description kexi
Karbon is an integrated environment for managing data.

%package -n %lib_name-kexi
Group:		Development/KDE and Qt
Summary:	Libraries files for Kexi
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Obsoletes:	%lib_name_kexi <= 0.1-0.beta5.5mdk	
Provides:	%lib_name_kexi

%description -n %lib_name-kexi
Libraries file for Kexi

%package -n %lib_name-kexi-devel
Group:		Development/KDE and Qt
Summary:	Header files for kexi
Requires:      %lib_name-progs = %epoch:%{version}-%{release}
Requires:	%lib_name-kexi = %epoch:%version-%release
Provides:      kexi-devel = %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Obsoletes:	%lib_name_kexi-devel <= 0.1-0.beta5.5mdk	
Provides:	%lib_name_kexi-devel

%description -n %lib_name-kexi-devel
Header files needed for developing kexi.




%package kugar
Summary:	Kugar for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kugar = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kugar
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   koffice-apps

%description kugar
Kugar for kde project.

%package -n %lib_name-kugar
Group:		Development/KDE and Qt
Summary:	Libraries files for Kugar
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kugar
Libraries file for Kugar

%package -n %lib_name-kugar-devel
Group:		Development/KDE and Qt
Summary:	Header files for kugar
Requires:      %{lib_name}-kugar = %epoch:%{version}-%{release}
Provides:      kugar-devel = %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kugar-devel
Header files needed for developing kugar.


%prep

%setup -q 

%patch8 -p1 -b .fix_compile

%patch9 -p1 -b .remove_rpath

%patch12 -p1 -b .fix_ai_filter_compile_gcc_4_0_1

%patch13 -p1 -b .fix_compile

%patch14 -p1 -b .fix_kchart_mimetypes

%patch15 -p1 -b .fix_krita_pdf_mimetypes

%patch16 -p1 -b .fix_kchart_mng_export_mimetype
%patch17 -p1 -b .cve-2006-6120
%patch18 -p0 -b .cve-2007-0104
%patch19 -p0 -b .cve-2007-3387

%build
make -f admin/Makefile.common cvs

export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH



%{?__cputoolize: %{__cputoolize} }
        %configure --build=%_target_platform \
            		--host=%_target_platform \
%if %use_enable_final				
				--enable-final \
%else
				--disable-final \
%endif									
                    	--enable-shared \
                    	--disable-static \
		        --disable-embedded \
%if %unstable
                    --enable-debug=full \
%else
                    --disable-debug \
%endif
				--disable-palmtop \
                    	--disable-rpath \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
            		--with-gnu-ld \
            		--with-pic \
%if use_python
			--with-xinerama
%else
            		--with-xinerama \
			--without-python
%endif

%make
%if %compile_apidox
make apidox
%endif



%install
rm -fr %buildroot

# David - 1.1-0.beta2.4mdk - Don't use makeinstall macro or nothing will work
make RUN_KAPPFINDER=no DESTDIR=$RPM_BUILD_ROOT install


# David - 1.1-0.beta2.1mdk - Create LMDK menu structure
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl koffice-kspread Office/Graphs %buildroot/%_datadir/applnk/Office/kchart.desktop %buildroot/%_menudir/koffice-kchart

kdedesktop2mdkmenu.pl koffice-kexi "More Applications/Databases" %buildroot/%{_datadir}/applnk/Office/kexi.desktop %buildroot/%{_menudir}/koffice-kexi

kdedesktop2mdkmenu.pl koffice-kplato "Office/Tasks Management" %buildroot/%{_datadir}/applnk/Office/kplato.desktop %buildroot/%{_menudir}/koffice-kplato



kdedesktop2mdkmenu.pl koffice-kivio Office/Graphs %buildroot/%_datadir/applications/kde/kivio.desktop %buildroot/%_menudir/koffice-kivio
kdedesktop2mdkmenu.pl koffice-koshell Office/Accessories %buildroot/%_datadir/applnk/Office/koshell.desktop %buildroot/%_menudir/koffice-koshell
kdedesktop2mdkmenu.pl koffice-kpresenter Office/Presentations %buildroot/%_datadir/applnk/Office/kpresenter.desktop %buildroot/%_menudir/koffice-kpresenter
kdedesktop2mdkmenu.pl koffice-kspread Office/Spreadsheets %buildroot/%_datadir/applnk/Office/kspread.desktop %buildroot/%_menudir/koffice-kspread
kdedesktop2mdkmenu.pl koffice-kugar Office/Publishing %buildroot/%_datadir/applnk/Office/kugar.desktop %buildroot/%_menudir/koffice-kugar
kdedesktop2mdkmenu.pl koffice-kugar Office/Publishing %buildroot/%_datadir/applnk/Office/kudesigner.desktop %buildroot/%_menudir/koffice-kugar-designer
%if %mdkversion <= 200600
perl -pi -e "s|kudesigner.png|text_tools_section.png|" %buildroot/%_menudir/koffice-kugar-designer
%else
perl -pi -e "s|Icon=kudesigner|Icon=text_tools_section.png|" %buildroot/%_datadir/applnk/Office/kudesigner.desktop
%endif

kdedesktop2mdkmenu.pl koffice-kword Office/Wordprocessors %buildroot/%_datadir/applnk/Office/kword.desktop %buildroot/%_menudir/koffice-kword


kdedesktop2mdkmenu.pl koffice-formula Office/Wordprocessors %buildroot/%_datadir/applnk/Office/kformula.desktop %buildroot/%_menudir/koffice-kformula
kdedesktop2mdkmenu.pl koffice-karbon Office/Drawing  %buildroot/%_datadir/applnk/Office/karbon.desktop %buildroot/%_menudir/koffice-karbon

kdedesktop2mdkmenu.pl koffice-krita Office/Drawing %buildroot/%_datadir/applications/kde/krita.desktop %buildroot/%_menudir/koffice-krita

kdedesktop2mdkmenu.pl koffice-krita-pdf Office/Drawing %buildroot/%_datadir/applnk/Office/krita_pdf.desktop %buildroot/%_menudir/koffice-krita-pdf

kdedesktop2mdkmenu.pl koffice-progs Office/Accessories %buildroot/%_datadir/applnk/Office/KThesaurus.desktop %buildroot/%_menudir/koffice-KThesaurus
%if %mdkversion <= 200600
perl -pi -e "s|kthesaurus.png|office_accessories_section.png|" %buildroot/%_menudir/koffice-KThesaurus
%else
perl -pi -e "s|Icon=kthesaurus|Icon=office_accessories_section.png|" %buildroot/%_datadir/applnk/Office/KThesaurus.desktop
%endif



rm -f %buildroot/%_datadir/apps/kontour/kpartplugins/scan-kontour.rc
rm -f %buildroot/%_datadir/mimelnk/image/x-raw.desktop

%if %compile_apidox
make install-apidox DESTDIR=%buildroot/
list=`ls -d */ -1`;
echo $list;
for i in $list ; do
	cd $i;
		if grep '^include .*Doxyfile.am' Makefile.am; then
			echo "installing apidox from $i" ;	
			make install-apidox DESTDIR=%buildroot/ ; 
		fi
	cd ../;
done;
%endif

%post progs
/sbin/ldconfig
%update_menus

%postun progs
/sbin/ldconfig
%clean_menus


%post -n %lib_name-progs -p /sbin/ldconfig

%postun -n %lib_name-progs -p /sbin/ldconfig

%post -n %lib_name-progs-devel -p /sbin/ldconfig

%postun -n %lib_name-progs-devel -p /sbin/ldconfig


%post -n %lib_name-kword -p /sbin/ldconfig

%postun -n %lib_name-kword -p /sbin/ldconfig

%post -n %lib_name-kword-devel -p /sbin/ldconfig

%postun -n %lib_name-kword-devel -p /sbin/ldconfig


%post -n %lib_name-kformula -p /sbin/ldconfig

%postun -n %lib_name-kformula -p /sbin/ldconfig

%post -n %lib_name-kformula-devel -p /sbin/ldconfig

%postun -n %lib_name-kformula-devel -p /sbin/ldconfig

%post -n %lib_name-koshell -p /sbin/ldconfig

%postun -n %lib_name-koshell -p /sbin/ldconfig



%post -n %lib_name-kspread -p /sbin/ldconfig

%postun -n %lib_name-kspread -p /sbin/ldconfig

%post -n %lib_name-kplato -p /sbin/ldconfig

%postun -n %lib_name-kplato -p /sbin/ldconfig


%post -n %lib_name-kspread-devel -p /sbin/ldconfig

%postun -n %lib_name-kspread-devel -p /sbin/ldconfig


%post -n %lib_name-kpresenter -p /sbin/ldconfig

%postun -n %lib_name-kpresenter -p /sbin/ldconfig

 	

%post -n %lib_name-kivio -p /sbin/ldconfig

%postun -n %lib_name-kivio -p /sbin/ldconfig

%post -n %lib_name-kivio-devel -p /sbin/ldconfig

%postun -n %lib_name-kivio-devel -p /sbin/ldconfig



%post -n %lib_name-kugar -p /sbin/ldconfig

%postun -n %lib_name-kugar -p /sbin/ldconfig

%post -n %lib_name-kugar-devel -p /sbin/ldconfig

%postun -n %lib_name-kugar-devel -p /sbin/ldconfig


%post -n %lib_name-karbon -p /sbin/ldconfig

%postun -n %lib_name-karbon -p /sbin/ldconfig

%post -n %lib_name-karbon-devel -p /sbin/ldconfig

%postun -n %lib_name-karbon-devel -p /sbin/ldconfig


%post -n %lib_name-kexi -p /sbin/ldconfig

%postun -n %lib_name-kexi -p /sbin/ldconfig

%post -n %lib_name-kexi-devel -p /sbin/ldconfig

%postun -n %lib_name-kexi-devel -p /sbin/ldconfig


%post -n %lib_name-krita -p /sbin/ldconfig

%postun -n %lib_name-krita -p /sbin/ldconfig

%post -n %lib_name-krita-devel -p /sbin/ldconfig

%postun -n %lib_name-krita-devel -p /sbin/ldconfig


%post kword
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif

%postun kword
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%endif


%post kformula
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif


%postun kformula
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%endif


%post koshell
/sbin/ldconfig
%update_menus

%postun koshell
/sbin/ldconfig
%clean_menus


%post kspread
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif


%postun kspread
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%endif

%post kpresenter
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif

%postun kpresenter
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%endif

%post kivio
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif


%postun kivio
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif


%post karbon
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif


%postun karbon
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif

%post kexi
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif

%postun kexi
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif


%post krita
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif

%postun krita
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif


%post kugar
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif


%postun kugar
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif

%post kplato
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif

%postun kplato
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%{update_desktop_database}
%endif


%clean
rm -fr %buildroot

%files


%files -n %lib_name-koshell
%defattr(-,root,root)
%_libdir/libkdeinit_koshell.la
%_libdir/libkdeinit_koshell.so

%_libdir/kde3/koshell.la
%_libdir/kde3/koshell.so


%files koshell
%defattr(-,root,root)
%_menudir/koffice-koshell
%_bindir/koshell

%dir %_docdir/HTML/en/koshell/
%doc %_docdir/HTML/en/koshell/common
%doc %_docdir/HTML/en/koshell/*.bz2
%doc %_docdir/HTML/en/koshell/*.docbook
%doc %_docdir/HTML/en/koshell/*.png

%_datadir/applnk/Office/koshell.desktop

%_datadir/config.kcfg/koshell.kcfg
%dir %_datadir/apps/koshell/
%_datadir/apps/koshell/*.rc

%_datadir/icons/hicolor/128x128/apps/koshell.png
%_datadir/icons/hicolor/16x16/apps/koshell.png
%_datadir/icons/hicolor/22x22/apps/koshell.png
%_datadir/icons/hicolor/32x32/apps/koshell.png
%_datadir/icons/hicolor/48x48/apps/koshell.png
%_datadir/icons/hicolor/64x64/apps/koshell.png
%_datadir/icons/hicolor/scalable/apps/koshell.svgz


%files -n %lib_name-kformula-devel
%defattr(-,root,root)
%_libdir/libkformulalib.so


%files -n %lib_name-kformula
%defattr(-,root,root)
%_libdir/kde3/libkformulapart.la
%_libdir/kde3/libkformulapart.so

%_libdir/kde3/kformula.la
%_libdir/kde3/kformula.so

%_libdir/libkdeinit_kformula.la
%_libdir/libkdeinit_kformula.so


%_libdir/libkformulalib.la
%_libdir/libkformulalib.so.*


%files kformula
%defattr(-,root,root)
%_bindir/kformula
%_datadir/apps/kformula/fonts/*.ttf
%_datadir/services/kformula_svg_export.desktop

%_datadir/apps/kformula/fonts/fonts.dir
%_datadir/apps/kformula/fonts/fonts.scale
	  

%dir %_datadir/applnk/Office/
%_datadir/applnk/Office/kformula.desktop

%_menudir/koffice-kformula

%dir %_datadir/apps/kformula/
%_datadir/apps/kformula/*.rc
%_datadir/apps/kformula/tips/
%dir %_datadir/apps/kformula/dtd/
%_datadir/apps/kformula/dtd/*.dtd



%dir %_docdir/HTML/en/kformula/
%doc %_docdir/HTML/en/kformula/common
%doc %_docdir/HTML/en/kformula/*.bz2
%doc %_docdir/HTML/en/kformula/*.docbook
%doc %_docdir/HTML/en/kformula/*.png

%files kplato
%defattr(-,root,root)
%_datadir/applnk/Office/kplato.desktop

%doc %_docdir/HTML/en/kplato/*.png

%_menudir/koffice-kplato
%_bindir/kplato

%_datadir/apps/kplato/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/kplato/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kplato/icons/crystalsvg/scalable/actions/*.svgz
%_datadir/apps/kplato/kplato.rc
%_datadir/apps/kplato/kplato_readonly.rc

%_datadir/apps/kplato/reports/.source/*.ktf
%_datadir/apps/kplato/reports/*.desktop

%dir %_datadir/apps/kplato/templates/
%dir %_datadir/apps/kplato/templates/Simple/
%_datadir/apps/kplato/templates/Simple/.directory
%_datadir/apps/kplato/templates/Simple/.source/8HourDay-40HourWeek.kplatot
%_datadir/apps/kplato/templates/Simple/.source/Plain.kplatot
%_datadir/apps/kplato/templates/Simple/*.desktop

%dir %_docdir/HTML/en/kplato/
%doc %_docdir/HTML/en/kplato/common
%doc %_docdir/HTML/en/kplato/*.bz2
%doc %_docdir/HTML/en/kplato/*.docbook

%_datadir/icons/crystalsvg/128x128/apps/kplato.png
%_datadir/icons/crystalsvg/16x16/apps/kplato.png
%_datadir/icons/crystalsvg/22x22/apps/kplato.png
%_datadir/icons/crystalsvg/32x32/apps/kplato.png
%_datadir/icons/crystalsvg/48x48/apps/kplato.png
%_datadir/icons/crystalsvg/64x64/apps/kplato.png
%_datadir/icons/crystalsvg/scalable/apps/kplato.svgz

%files -n %lib_name-kplato
%defattr(-,root,root)
%_libdir/kde3/kplato.la
%_libdir/kde3/kplato.so
%_libdir/kde3/libkplatopart.la
%_libdir/kde3/libkplatopart.so

%_libdir/libkdeinit_kplato.la
%_libdir/libkdeinit_kplato.so

%files -n %lib_name-kugar
%defattr(-,root,root)
%_libdir/libkudesignercore.la*
%_libdir/libkudesignercore.so*

%_libdir/kde3/libkudesignerpart.la*
%_libdir/kde3/libkudesignerpart.so*
%_libdir/kde3/libkugarpart.la*
%_libdir/kde3/libkugarpart.so*
%_libdir/kde3/libkugarnopimport.la*
%_libdir/kde3/libkugarnopimport.so*
%_libdir/kde3/kudesigner.la
%_libdir/kde3/kudesigner.so
%_libdir/kde3/kugar.la
%_libdir/kde3/kugar.so

%_libdir/libkdeinit_kudesigner.la
%_libdir/libkdeinit_kudesigner.so
%_libdir/libkdeinit_kugar.la
%_libdir/libkdeinit_kugar.so

%_libdir/libkugarlib.la
%_libdir/libkugarlib.so.*

%files -n %lib_name-kugar-devel
%defattr(-,root,root)
%_libdir/libkugarlib.so


%files kugar
%defattr(-,root,root)
%_bindir/kudesigner
%_bindir/kugar


%_datadir/apps/kugar/templates/*.kdf

%_datadir/apps/kugar/templates/*.ktf

%_menudir/koffice-kugar
%_menudir/koffice-kugar-designer

%_datadir/applnk/Office/kudesigner.desktop

%_datadir/services/kugar_kugar_import.desktop
%_datadir/services/kugarpart.desktop


%dir %_datadir/apps/kudesigner/icons/crystalsvg/
%dir %_datadir/apps/kudesigner/icons/crystalsvg/22x22/
%dir %_datadir/apps/kudesigner/icons/crystalsvg/22x22/actions/
%_datadir/apps/kudesigner/icons/crystalsvg/22x22/actions/*.png

%_datadir/apps/kudesigner/icons/crystalsvg/48x48/actions/template_iso.png
%_datadir/apps/kudesigner/icons/crystalsvg/48x48/actions/template_us.png
%_datadir/apps/kudesigner/icons/crystalsvg/scalable/actions/template_iso.svgz
%_datadir/apps/kudesigner/icons/crystalsvg/scalable/actions/template_us.svgz



%dir %_docdir/HTML/en/kugar/
%doc %_docdir/HTML/en/kugar/common
%doc %_docdir/HTML/en/kugar/*.bz2
%doc %_docdir/HTML/en/kugar/*.docbook
%doc %_docdir/HTML/en/kugar/*.png

%_datadir/applnk/Office/kugar.desktop

%dir %_datadir/apps/kugar/
%_datadir/apps/kugar/*.rc
#

%dir %_datadir/apps/kugar/dtd/
%_datadir/apps/kugar/dtd/*.dtd
#
#
%dir %_datadir/apps/kudesigner/
%_datadir/apps/kudesigner/*.rc


%dir %_datadir/apps/kudesigner/templates/
%dir %_datadir/apps/kudesigner/templates/General/
%_datadir/apps/kudesigner/templates/General/.directory
%_datadir/apps/kudesigner/templates/General/*.desktop
%dir %_datadir/apps/kudesigner/templates/General/.source/
%_datadir/apps/kudesigner/templates/General/.source/*.ktm


%files -n %lib_name-kword
%defattr(-,root,root)


%_libdir/libkwmailmerge_interface.la   
%_libdir/libkwmailmerge_interface.so.*

%_libdir/kde3/libkwordkword1dot3import.la
%_libdir/kde3/libkwordkword1dot3import.so


%_libdir/kde3/kwmailmerge_classic.la*
%_libdir/kde3/kwmailmerge_classic.so*
%_libdir/kde3/kwmailmerge_qtsqldb.la*
%_libdir/kde3/kwmailmerge_qtsqldb.so*
%_libdir/kde3/kwmailmerge_qtsqldb_power.la*
%_libdir/kde3/kwmailmerge_qtsqldb_power.so*

%_libdir/kde3/libkwordpart.la*
%_libdir/kde3/libkwordpart.so*

%_libdir/libkwordexportfilters.la*
%_libdir/libkwordexportfilters.so.*
%_libdir/kde3/libabiwordexport.la*
%_libdir/kde3/libabiwordexport.so*
%_libdir/kde3/libabiwordimport.la*
%_libdir/kde3/libabiwordimport.so*
%_libdir/kde3/libamiproexport.la*
%_libdir/kde3/libamiproexport.so*
%_libdir/kde3/libamiproimport.la*
%_libdir/kde3/libamiproimport.so*
%_libdir/kde3/libapplixwordimport.la*
%_libdir/kde3/libapplixwordimport.so*
%_libdir/kde3/libasciiexport.la*
%_libdir/kde3/libasciiexport.so*
%_libdir/kde3/libasciiimport.la*
%_libdir/kde3/libasciiimport.so*
%_libdir/kde3/libdocbookexport.la*
%_libdir/kde3/libdocbookexport.so*
%_libdir/kde3/libhtmlexport.la*
%_libdir/kde3/libhtmlexport.so*
%_libdir/kde3/libhtmlimport.la*
%_libdir/kde3/libhtmlimport.so*
%_libdir/kde3/libkwordlatexexport.la*
%_libdir/kde3/libkwordlatexexport.so*
%_libdir/kde3/libmswordimport.la*
%_libdir/kde3/libmswordimport.so*
%_libdir/kde3/libmswriteexport.la*
%_libdir/kde3/libmswriteexport.so*
%_libdir/kde3/libmswriteimport.la*
%_libdir/kde3/libmswriteimport.so*
%_libdir/kde3/liboowriterexport.la*
%_libdir/kde3/liboowriterexport.so*
%_libdir/kde3/liboowriterimport.la*
%_libdir/kde3/liboowriterimport.so*
%_libdir/kde3/libpalmdocexport.la*
%_libdir/kde3/libpalmdocexport.so*
%_libdir/kde3/libpalmdocimport.la*
%_libdir/kde3/libpalmdocimport.so*
%_libdir/kde3/librtfexport.la*
%_libdir/kde3/librtfexport.so*
%_libdir/kde3/librtfimport.la*
%_libdir/kde3/librtfimport.so*
%_libdir/kde3/libwmlexport.la*
%_libdir/kde3/libwmlexport.so*
%_libdir/kde3/libwmlimport.la*
%_libdir/kde3/libwmlimport.so*
%_libdir/kde3/libwpexport.la*
%_libdir/kde3/libwpexport.so*
%_libdir/libkdeinit_kword.la
%_libdir/libkdeinit_kword.so


%_libdir/kde3/kwmailmerge_kabc.la
%_libdir/kde3/kwmailmerge_kabc.so
%_libdir/kde3/kwmailmerge_kspread.la
%_libdir/kde3/kwmailmerge_kspread.so
%_libdir/kde3/kword.la
%_libdir/kde3/kword.so
%_libdir/kde3/libpdfimport.la*
%_libdir/kde3/libpdfimport.so*
%_libdir/kde3/libwpimport.la
%_libdir/kde3/libwpimport.so

%_libdir/libkwordprivate.la
%_libdir/libkwordprivate.so.*

%files -n %lib_name-kword-devel
%defattr(-,root,root)
%_libdir/libkwmailmerge_interface.so
%_libdir/libkwordexportfilters.so
%_libdir/libkwordprivate.so

%dir %_includedir/kword/
%_includedir/kword/KWMailMergeDataSource.h


%files kword
%defattr(-,root,root)
%_bindir/kword

%_datadir/applnk/Office/kword.desktop

%_menudir/koffice-kword

%_datadir/services/kword_wp_import.desktop


%_datadir/apps/kword/dtd/*.dtd

%_datadir/apps/kword/icons/crystalsvg/22x22/actions/*.png

%_datadir/apps/kword/icons/crystalsvg/128x128/actions/template_colorful.png
%_datadir/apps/kword/templates/Normal/.source/*.odt
%_datadir/services/kword_hancomword_import.desktop

%dir %_datadir/apps/kword/
%_datadir/apps/kword/*.rc
%_datadir/apps/kword/*.xml
#
#
%dir %_datadir/apps/kword/expression/
%_datadir/apps/kword/expression/*.xml

#
%_datadir/apps/kword/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kword/icons/crystalsvg/scalable/actions/*.svgz

#
%dir %_datadir/apps/kword/kpartplugins/
%_datadir/apps/kword/kpartplugins/*.rc
#
%dir %_datadir/apps/kword/templates/
#
#
#
%dir %_datadir/apps/kword/templates/Normal/
%_datadir/apps/kword/templates/Normal/.directory
%_datadir/apps/kword/templates/Normal/*.desktop
#
#
%dir %_datadir/apps/kword/templates/Normal/.source/
%_datadir/apps/kword/templates/Normal/.source/*.kwt
#
%dir %_datadir/apps/kword/templates/CardsAndLabels/
%_datadir/apps/kword/templates/CardsAndLabels/.directory
%_datadir/apps/kword/templates/CardsAndLabels/*.desktop
%dir %_datadir/apps/kword/templates/CardsAndLabels/.source/
%_datadir/apps/kword/templates/CardsAndLabels/.source/*.kwt

%dir %_datadir/apps/kword/templates/Envelopes/
%_datadir/apps/kword/templates/Envelopes/.directory
%_datadir/apps/kword/templates/Envelopes/*.desktop
%dir %_datadir/apps/kword/templates/Envelopes/.source/
%_datadir/apps/kword/templates/Envelopes/.source/*.kwt

%dir %_datadir/services/
%_datadir/services/kwordpart.desktop
%_datadir/services/kwserialletter_classic.desktop
%_datadir/services/kwserialletter_qtsqldb_power.desktop
%_datadir/services/kword_abiword_export.desktop
%_datadir/services/kword_abiword_import.desktop
%_datadir/services/kword_amipro_export.desktop
%_datadir/services/kword_amipro_import.desktop
%_datadir/services/kword_applixword_import.desktop
%_datadir/services/kword_ascii_export.desktop
%_datadir/services/kword_ascii_import.desktop
%_datadir/services/kword_docbook_export.desktop
%_datadir/services/kword_html_export.desktop
%_datadir/services/kword_html_import.desktop
%_datadir/services/kword_latex_export.desktop
%_datadir/services/kword_msword_import.desktop
%_datadir/services/kword_mswrite_export.desktop
%_datadir/services/kword_mswrite_import.desktop
%_datadir/services/kword_oowriter_export.desktop
%_datadir/services/kword_oowriter_import.desktop
%_datadir/services/kword_palmdoc_export.desktop
%_datadir/services/kword_palmdoc_import.desktop
%_datadir/services/kword_pdf_import.desktop
%_datadir/services/kword_rtf_export.desktop
%_datadir/services/kword_rtf_import.desktop
%_datadir/services/kword_wml_export.desktop
%_datadir/services/kword_wml_import.desktop
%_datadir/services/kword_wp_export.desktop
%_datadir/services/kwmailmerge_kabc.desktop
%_datadir/services/kwmailmerge_kspread.desktop
%_datadir/services/kword_kword1dot3_import.desktop

%dir %_datadir/servicetypes/
%_datadir/servicetypes/kwmailmerge.desktop

%dir %_docdir/HTML/en/kword/
%doc %_docdir/HTML/en/kword/common
%doc %_docdir/HTML/en/kword/*.bz2
%doc %_docdir/HTML/en/kword/*.docbook
%doc %_docdir/HTML/en/kword/*.png       



%files -n %lib_name-kivio-devel
%defattr(-,root,root)
%_libdir/libkiviocommon.so


%files -n %lib_name-kivio
%defattr(-,root,root)

%_libdir/kde3/libkiviopart.la*
%_libdir/kde3/libkiviopart.so*
%_libdir/kde3/straight_connector.la*
%_libdir/kde3/straight_connector.so*
%_libdir/libkiviocommon.la
%_libdir/libkiviocommon.so.*


%_libdir/libkdeinit_kivio.la
%_libdir/libkdeinit_kivio.so

%_libdir/kde3/kivio.la
%_libdir/kde3/kivio.so

%_libdir/kde3/libkivioconnectortool.la
%_libdir/kde3/libkivioconnectortool.so
%_libdir/kde3/libkivioimageexport.la
%_libdir/kde3/libkivioimageexport.so
%_libdir/kde3/libkivioselecttool.la
%_libdir/kde3/libkivioselecttool.so
%_libdir/kde3/libkiviotargettool.la
%_libdir/kde3/libkiviotargettool.so
%_libdir/kde3/libkiviotexttool.la
%_libdir/kde3/libkiviotexttool.so
%_libdir/kde3/libkiviozoomtool.la
%_libdir/kde3/libkiviozoomtool.so

%files kivio
%defattr(-,root,root)
%_bindir/kivio

%_datadir/apps/kivio/icons/crystalsvg/48x48/actions/template_empty.png
%_datadir/apps/kivio/icons/crystalsvg/scalable/actions/template_empty.svgz
%dir %_datadir/apps/kivio/stencils/Miscellaneous/
%dir %_datadir/apps/kivio/stencils/Miscellaneous/ER/
%_datadir/apps/kivio/stencils/Miscellaneous/ER/*.sml
%_datadir/apps/kivio/stencils/Miscellaneous/ER/desc
%_datadir/apps/kivio/stencils/Miscellaneous/ER/*.png

%_datadir/services/kivio_image_export.desktop
%_datadir/services/kiviotargettool.desktop

%_menudir/koffice-kivio
%_datadir/applications/kde/kivio.desktop
%_datadir/config.kcfg/kivio.kcfg

%dir %_docdir/HTML/en/kivio/
%doc %_docdir/HTML/en/kivio/common
%doc %_docdir/HTML/en/kivio/*.bz2
%doc %_docdir/HTML/en/kivio/*.docbook


%_datadir/apps/kivio/pics/kivio_connector_cursor1.png
%_datadir/apps/kivio/pics/kivio_connector_cursor2.png

%dir %_datadir/apps/kivio/
%_datadir/apps/kivio/*.rc
#
%dir %_datadir/apps/kivio/autoloadStencils/
%_datadir/apps/kivio/autoloadStencils/*

#
%dir %_datadir/apps/kivio/icons/
%dir %_datadir/apps/kivio/icons/hicolor/
%dir %_datadir/apps/kivio/icons/hicolor/16x16/
%dir %_datadir/apps/kivio/icons/hicolor/16x16/actions/
%_datadir/apps/kivio/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kivio/icons/hicolor/22x22/
%dir %_datadir/apps/kivio/icons/hicolor/22x22/actions/
%_datadir/apps/kivio/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kivio/icons/hicolor/32x32/
%dir %_datadir/apps/kivio/icons/hicolor/32x32/actions/
%_datadir/apps/kivio/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/kivio/kpartplugins/
%_datadir/apps/kivio/kpartplugins/*.rc
#
%dir %_datadir/apps/kivio/pics/
%_datadir/apps/kivio/pics/*.xpm
#
%dir %_datadir/apps/kivio/stencils/
%dir %_datadir/apps/kivio/stencils/Flowcharting/
%_datadir/apps/kivio/stencils/Flowcharting/desc
%_datadir/apps/kivio/stencils/Flowcharting/*.xpm
#
%dir %_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/desc
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/*.sml
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/*.xpm
#

%dir %_datadir/apps/kivio/stencils/Flowcharting/Logic/
%_datadir/apps/kivio/stencils/Flowcharting/Logic/*.sml
%_datadir/apps/kivio/stencils/Flowcharting/Logic/*.xpm


%dir %_datadir/apps/kivio/stencils/Flowcharting/Extended/
%_datadir/apps/kivio/stencils/Flowcharting/Extended/*.sml
%_datadir/apps/kivio/stencils/Flowcharting/Extended/*.xpm
%_datadir/apps/kivio/stencils/Flowcharting/Extended/desc
   
%dir %_datadir/apps/kivio/stencils/Geographic/
%dir %_datadir/apps/kivio/stencils/Geographic/Flags/   
%_datadir/apps/kivio/stencils/Geographic/Flags/*.sml
%_datadir/apps/kivio/stencils/Geographic/Flags/*.xpm
%_datadir/apps/kivio/stencils/Geographic/Flags/desc


%dir %_datadir/apps/kivio/stencils/Geographic/Maps/
%_datadir/apps/kivio/stencils/Geographic/Maps/*.sml
%_datadir/apps/kivio/stencils/Geographic/Maps/*.xpm
%_datadir/apps/kivio/stencils/Geographic/Maps/desc
%_datadir/apps/kivio/stencils/Geographic/desc
%_datadir/apps/kivio/stencils/Geographic/*.xpm


%dir %_datadir/apps/kivio/stencils/Hardware/
%dir %_datadir/apps/kivio/stencils/Hardware/Computer/
%_datadir/apps/kivio/stencils/Hardware/Computer/*.sml
%_datadir/apps/kivio/stencils/Hardware/Computer/*.xpm
%_datadir/apps/kivio/stencils/Hardware/Computer/desc
%_datadir/apps/kivio/stencils/Hardware/Computer/*.png

%dir %_datadir/apps/kivio/stencils/Hardware/Miscellaneous/
%_datadir/apps/kivio/stencils/Hardware/Miscellaneous/*.sml
%_datadir/apps/kivio/stencils/Hardware/Miscellaneous/*.xpm
%_datadir/apps/kivio/stencils/Hardware/Miscellaneous/desc
%_datadir/apps/kivio/stencils/Hardware/desc
%_datadir/apps/kivio/stencils/Hardware/icon.xpm

%dir %_datadir/apps/kivio/stencils/Miscellaneous/
%dir %_datadir/apps/kivio/stencils/Miscellaneous/Arrows/
%_datadir/apps/kivio/stencils/Miscellaneous/Arrows/*.sml
%_datadir/apps/kivio/stencils/Miscellaneous/Arrows/*.xpm
%_datadir/apps/kivio/stencils/Miscellaneous/Arrows/desc

%dir %_datadir/apps/kivio/stencils/Miscellaneous/Buildings/
%_datadir/apps/kivio/stencils/Miscellaneous/Buildings/*.sml
%_datadir/apps/kivio/stencils/Miscellaneous/Buildings/*.xpm
%_datadir/apps/kivio/stencils/Miscellaneous/Buildings/desc

%dir %_datadir/apps/kivio/stencils/Miscellaneous/People/
%_datadir/apps/kivio/stencils/Miscellaneous/People/*.sml
%_datadir/apps/kivio/stencils/Miscellaneous/People/*.xpm
%_datadir/apps/kivio/stencils/Miscellaneous/People/desc

%dir %_datadir/apps/kivio/stencils/Miscellaneous/Transport/
%_datadir/apps/kivio/stencils/Miscellaneous/Transport/*.sml
%_datadir/apps/kivio/stencils/Miscellaneous/Transport/*.xpm
%_datadir/apps/kivio/stencils/Miscellaneous/Transport/desc
%_datadir/apps/kivio/stencils/Miscellaneous/desc
%_datadir/apps/kivio/stencils/Miscellaneous/icon.xpm

%dir  %_datadir/apps/kivio/icons/
%dir  %_datadir/apps/kivio/icons/crystalsvg/
%dir  %_datadir/apps/kivio/icons/crystalsvg/16x16/
%dir  %_datadir/apps/kivio/icons/crystalsvg/16x16/actions/
%_datadir/apps/kivio/icons/crystalsvg/16x16/actions/*.png

%dir  %_datadir/apps/kivio/icons/crystalsvg/22x22/
%dir  %_datadir/apps/kivio/icons/crystalsvg/22x22/actions/
%_datadir/apps/kivio/icons/crystalsvg/22x22/actions/*.png

%dir  %_datadir/apps/kivio/icons/crystalsvg/32x32/
%dir  %_datadir/apps/kivio/icons/crystalsvg/32x32/actions/
%_datadir/apps/kivio/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/kivio/stencils/Dia/
%dir %_datadir/apps/kivio/stencils/Dia/Assorted/
%_datadir/apps/kivio/stencils/Dia/Assorted/*.png
%_datadir/apps/kivio/stencils/Dia/Assorted/*.shape
%_datadir/apps/kivio/stencils/Dia/Assorted/desc
%_datadir/apps/kivio/stencils/Dia/Assorted/*.xpm


%dir %_datadir/apps/kivio/stencils/Dia/Circuit/
%_datadir/apps/kivio/stencils/Dia/Circuit/desc
%_datadir/apps/kivio/stencils/Dia/Circuit/*.shape
%_datadir/apps/kivio/stencils/Dia/Circuit/*.xpm
%_datadir/apps/kivio/stencils/Dia/Circuit/*.png

%dir %_datadir/apps/kivio/stencils/Dia/Cisco/
%_datadir/apps/kivio/stencils/Dia/Cisco/*.png
%_datadir/apps/kivio/stencils/Dia/Cisco/*.shape
%_datadir/apps/kivio/stencils/Dia/Cisco/desc
%_datadir/apps/kivio/stencils/Dia/Cisco/*.xpm

%dir %_datadir/apps/kivio/stencils/Dia/Civil/
%_datadir/apps/kivio/stencils/Dia/Civil/*.xpm
%_datadir/apps/kivio/stencils/Dia/Civil/desc
%_datadir/apps/kivio/stencils/Dia/Civil/*.shape

%dir %_datadir/apps/kivio/stencils/Dia/Contact/
%_datadir/apps/kivio/stencils/Dia/Contact/*.shape
%_datadir/apps/kivio/stencils/Dia/Contact/*.xpm
%_datadir/apps/kivio/stencils/Dia/Contact/desc

%dir %_datadir/apps/kivio/stencils/Dia/Electric/
%_datadir/apps/kivio/stencils/Dia/Electric/*.shape
%_datadir/apps/kivio/stencils/Dia/Electric/*.xpm
%_datadir/apps/kivio/stencils/Dia/Electric/desc

%dir %_datadir/apps/kivio/stencils/Dia/Jigsaw/
%_datadir/apps/kivio/stencils/Dia/Jigsaw/desc
%_datadir/apps/kivio/stencils/Dia/Jigsaw/*.xpm
%_datadir/apps/kivio/stencils/Dia/Jigsaw/*.shape

%dir %_datadir/apps/kivio/stencils/Dia/MSE/
%_datadir/apps/kivio/stencils/Dia/MSE/*.shape
%_datadir/apps/kivio/stencils/Dia/MSE/*.xpm
%_datadir/apps/kivio/stencils/Dia/MSE/desc

%dir %_datadir/apps/kivio/stencils/Dia/Network/
%_datadir/apps/kivio/stencils/Dia/Network/*.shape
%_datadir/apps/kivio/stencils/Dia/Network/*.xpm
%_datadir/apps/kivio/stencils/Dia/Network/desc
%_datadir/apps/kivio/stencils/Dia/Network/*.png

%dir %_datadir/apps/kivio/stencils/Dia/Pneumatic/
%_datadir/apps/kivio/stencils/Dia/Pneumatic/*.shape
%_datadir/apps/kivio/stencils/Dia/Pneumatic/*.xpm
%_datadir/apps/kivio/stencils/Dia/Pneumatic/desc

%dir %_datadir/apps/kivio/stencils/Dia/SDL/
%_datadir/apps/kivio/stencils/Dia/SDL/*.shape
%_datadir/apps/kivio/stencils/Dia/SDL/*.xpm
%_datadir/apps/kivio/stencils/Dia/SDL/desc

%dir %_datadir/apps/kivio/stencils/Dia/Sybase/
%_datadir/apps/kivio/stencils/Dia/Sybase/*.shape
%_datadir/apps/kivio/stencils/Dia/Sybase/*.xpm
%_datadir/apps/kivio/stencils/Dia/Sybase/desc

%_datadir/apps/kivio/stencils/Dia/desc
%_datadir/apps/kivio/stencils/Dia/*.xpm


%dir %_datadir/apps/kivio/stencils/UML/
%dir %_datadir/apps/kivio/stencils/UML/ActivityDiagrams/
%_datadir/apps/kivio/stencils/UML/ActivityDiagrams/*.sml
%_datadir/apps/kivio/stencils/UML/ActivityDiagrams/*.xpm
%_datadir/apps/kivio/stencils/UML/ActivityDiagrams/desc

%dir %_datadir/apps/kivio/stencils/UML/ClassDiagrams/
%_datadir/apps/kivio/stencils/UML/ClassDiagrams/*.sml
%_datadir/apps/kivio/stencils/UML/ClassDiagrams/*.xpm
%_datadir/apps/kivio/stencils/UML/ClassDiagrams/desc


%_datadir/apps/kivio/stencils/UML/desc
%_datadir/apps/kivio/stencils/UML/*.xpm

%dir %_datadir/apps/kivio/templates/
%dir %_datadir/apps/kivio/templates/Basic/
%_datadir/apps/kivio/templates/Basic/.directory
%_datadir/apps/kivio/templates/Basic/.source/*.kft
%_datadir/apps/kivio/templates/Basic/*.desktop

%_datadir/services/kivioconnectortool.desktop
%_datadir/services/kiviopart.desktop
%_datadir/services/kivioselecttool.desktop
%_datadir/services/kiviotexttool.desktop
%_datadir/services/kiviozoomtool.desktop


%_datadir/apps/kivio/icons/crystalsvg/48x48/actions/template_basicflow.png
%_datadir/apps/kivio/icons/crystalsvg/scalable/actions/template_basicworkflow.svgz
%_datadir/apps/kivio/stencils/Flowcharting/Logic/desc
%_datadir/apps/kivio/stencils/Miscellaneous/NassiShneiderman/desc
%_datadir/apps/kivio/stencils/Miscellaneous/NassiShneiderman/*.png
%_datadir/apps/kivio/stencils/Miscellaneous/NassiShneiderman/*.sml


%files -n %lib_name-kspread-devel
%defattr(-,root,root)
%_includedir/KDChartAxisParams.h
%_includedir/KDChartCustomBox.h
%_includedir/KDChartDataRegion.h
%_includedir/KDChartEnums.h
%_includedir/KDChartGlobal.h
%_includedir/KDChartListTable.h
%_includedir/KDChartParams.h
%_includedir/KDChartPropertySet.h
%_includedir/KDChartTable.h
%_includedir/KDChartTableBase.h
%_includedir/KDChartTextPiece.h
%_includedir/KDChartVectorTable.h
%_includedir/KDChartWidget.h
%_includedir/KDFrame.h
%_includedir/KDFrameProfileSection.h

%_includedir/KDChartDataIntern.h
%_includedir/kdchart_export.h

%_libdir/libkchartcommon.so
%_libdir/libkdchart.so
%_libdir/libkchartimageexport.so

%_libdir/libkspreadcommon.so

%files -n %lib_name-kspread
%defattr(-,root,root)

%_libdir/libkchartimageexport.la
%_libdir/libkchartimageexport.so.*
%_libdir/libkspreadcommon.la
%_libdir/libkspreadcommon.so.*

%_libdir/kde3/krosskspreadcore.la
%_libdir/kde3/krosskspreadcore.so
%_libdir/kde3/kspreadscripting.la
%_libdir/kde3/kspreadscripting.so

%_libdir/libkdchart.la
%_libdir/libkdchart.so.*

%_libdir/libkchartcommon.la
%_libdir/libkchartcommon.so.*

%_libdir/libkdeinit_kspread.la
%_libdir/libkdeinit_kspread.so

%_libdir/kde3/libexcelimport.la
%_libdir/kde3/libexcelimport.so


%_libdir/kde3/libkspreadpart.la*
%_libdir/kde3/libkspreadpart.so*
%_libdir/kde3/libkchartpart.la*
%_libdir/kde3/libkchartpart.so*
%_libdir/kde3/libapplixspreadimport.la*
%_libdir/kde3/libapplixspreadimport.so*
%_libdir/kde3/libcsvexport.la*
%_libdir/kde3/libcsvexport.so*
%_libdir/kde3/libcsvimport.la*
%_libdir/kde3/libcsvimport.so*
%_libdir/kde3/libdbaseimport.la*
%_libdir/kde3/libdbaseimport.so*
%_libdir/kde3/libgnumericexport.la*
%_libdir/kde3/libgnumericexport.so*
%_libdir/kde3/libgnumericimport.la*
%_libdir/kde3/libgnumericimport.so*
%_libdir/kde3/libkspreadhtmlexport.la*
%_libdir/kde3/libkspreadhtmlexport.so*
%_libdir/kde3/libkspreadlatexexport.la*
%_libdir/kde3/libkspreadlatexexport.so*
%_libdir/kde3/libopencalcexport.la*
%_libdir/kde3/libopencalcexport.so*
%_libdir/kde3/libopencalcimport.la*
%_libdir/kde3/libopencalcimport.so*
%_libdir/kde3/libqproimport.la*
%_libdir/kde3/libqproimport.so*


%_libdir/kde3/libhancomwordimport.la
%_libdir/kde3/libhancomwordimport.so
%_libdir/kde3/libkchartbmpexport.la
%_libdir/kde3/libkchartbmpexport.so
%_libdir/kde3/libkchartjpegexport.la
%_libdir/kde3/libkchartjpegexport.so
%_libdir/kde3/libkchartmngexport.la
%_libdir/kde3/libkchartmngexport.so
%_libdir/kde3/libkchartxbmexport.la
%_libdir/kde3/libkchartxbmexport.so
%_libdir/kde3/libkchartxpmexport.la
%_libdir/kde3/libkchartxpmexport.so

%_libdir/kde3/kspread.la
%_libdir/kde3/kspread.so

%_libdir/kde3/libkchartpngexport.la
%_libdir/kde3/libkchartpngexport.so
%_libdir/kde3/libkchartsvgexport.la
%_libdir/kde3/libkchartsvgexport.so
%_libdir/kde3/libkspreadinsertcalendar.la
%_libdir/kde3/libkspreadinsertcalendar.so
%_libdir/libkdeinit_kchart.la
%_libdir/libkdeinit_kchart.so

%_libdir/kde3/kchart.la
%_libdir/kde3/kchart.so

%files kspread
%defattr(-,root,root)
%_bindir/kspread
%_bindir/kchart

%_datadir/apps/kspread/icons/crystalsvg/16x16/actions/mergecell/horizontal.png
%_datadir/apps/kspread/icons/crystalsvg/16x16/actions/mergecell/vertical.png
%_datadir/apps/kspread/icons/crystalsvg/22x22/actions/mergecell/horizontal.png
%_datadir/apps/kspread/icons/crystalsvg/22x22/actions/mergecell/vertical.png

%_datadir/apps/kspread/sheetstyles/*.xml
%_datadir/apps/kspread/sheetstyles/*.ksts
%_datadir/apps/kspread/sheetstyles/*.png

%_datadir/services/kspread_excel_import.desktop

%_datadir/services/kchart_bmp_export.desktop
%_datadir/services/kchart_jpeg_export.desktop
%_datadir/services/kchart_mng_export.desktop
%_datadir/services/kchart_xbm_export.desktop
%_datadir/services/kchart_xpm_export.desktop

%_datadir/servicetypes/krita_colorspace.desktop

%_datadir/services/kchartpart.desktop
%_datadir/services/kspreadpart.desktop


%_menudir/koffice-kchart
%_menudir/koffice-kspread
%dir %_docdir/HTML/en/kspread/
%doc %_docdir/HTML/en/kspread/common
%doc %_docdir/HTML/en/kspread/*.bz2
%doc %_docdir/HTML/en/kspread/*.docbook
%doc %_docdir/HTML/en/kspread/*.png

%dir %_datadir/apps/kspread/
%_datadir/apps/kspread/*.rc
#
%dir %_datadir/apps/kspread/dtd/
%_datadir/apps/kspread/dtd/*
#
%dir %_datadir/apps/kspread/extensions/
%_datadir/apps/kspread/extensions/*
#

%dir %_datadir/apps/kspread/kpartplugins/
%_datadir/apps/kspread/kpartplugins/*.rc
#
#
%dir %_datadir/apps/kspread/templates/
%dir %_datadir/apps/kspread/templates/General/
%_datadir/apps/kspread/templates/General/.directory
%_datadir/apps/kspread/templates/General/*.desktop
%dir %_datadir/apps/kspread/templates/General/.source/
%_datadir/apps/kspread/templates/General/.source/*.kst

%dir %_datadir/apps/kspread/templates/Business/
%_datadir/apps/kspread/templates/Business/.directory
%_datadir/apps/kspread/templates/Business/*.desktop
%dir %_datadir/apps/kspread/templates/Business/.source/
%_datadir/apps/kspread/templates/Business/.source/*.kst

%dir %_datadir/apps/kspread/templates/HomeFamily/
%_datadir/apps/kspread/templates/HomeFamily/.directory
%_datadir/apps/kspread/templates/HomeFamily/*.desktop
%dir %_datadir/apps/kspread/templates/HomeFamily/.source/
%_datadir/apps/kspread/templates/HomeFamily/.source/*.kst

%dir %_datadir/apps/kspread/icons/
%dir %_datadir/apps/kspread/icons/crystalsvg/
%dir %_datadir/apps/kspread/icons/crystalsvg/16x16/
%dir %_datadir/apps/kspread/icons/crystalsvg/16x16/actions/
%_datadir/apps/kspread/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/kspread/icons/crystalsvg/22x22/
%dir %_datadir/apps/kspread/icons/crystalsvg/22x22/actions/
%_datadir/apps/kspread/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/kspread/icons/crystalsvg/32x32/
%dir %_datadir/apps/kspread/icons/crystalsvg/32x32/actions/
%_datadir/apps/kspread/icons/crystalsvg/32x32/actions/*.png

%_datadir/apps/kspread/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kspread/icons/crystalsvg/scalable/actions/*.svgz

%dir %_datadir/apps/kchart/
%_datadir/apps/kchart/*.rc
#
%_datadir/services/kchart_png_export.desktop
%_datadir/services/kchart_svg_export.desktop


%dir %_datadir/apps/kchart/icons/
%dir %_datadir/apps/kchart/icons/locolor/
%dir %_datadir/apps/kchart/icons/locolor/16x16/
%dir %_datadir/apps/kchart/icons/locolor/16x16/actions/
%_datadir/apps/kchart/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/kchart/icons/crystalsvg/
%dir %_datadir/apps/kchart/icons/crystalsvg/16x16/
%dir %_datadir/apps/kchart/icons/crystalsvg/16x16/actions/
%_datadir/apps/kchart/icons/crystalsvg/16x16/actions/*.png


%dir %_datadir/apps/kchart/icons/crystalsvg/22x22/
%dir %_datadir/apps/kchart/icons/crystalsvg/22x22/actions/
%_datadir/apps/kchart/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/kchart/icons/crystalsvg/32x32/
%dir %_datadir/apps/kchart/icons/crystalsvg/32x32/actions/

%_datadir/apps/kchart/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kchart/icons/crystalsvg/scalable/actions/*.svgz
%_datadir/apps/kchart/templates/chart/.directory
%_datadir/apps/kchart/templates/chart/.source/BarChart.chrt
%_datadir/apps/kchart/templates/chart/.source/Empty.chrt
%_datadir/apps/kchart/templates/chart/BarChart.desktop
%_datadir/apps/kchart/templates/chart/Empty.desktop


%dir %_datadir/apps/kchart/pics/
%_datadir/apps/kchart/pics/*.png

%dir %_docdir/HTML/en/kchart/
%doc %_docdir/HTML/en/kchart/*.bz2
%doc %_docdir/HTML/en/kchart/*.png
%doc %_docdir/HTML/en/kchart/*.docbook
%doc %_docdir/HTML/en/kchart/common

%_datadir/applnk/Office/kchart.desktop
%_datadir/applnk/Office/kspread.desktop


%_datadir/services/kspread_applixspread_import.desktop
%_datadir/services/kspread_csv_export.desktop
%_datadir/services/kspread_csv_import.desktop
%_datadir/services/kspread_dbase_import.desktop
%_datadir/services/kspread_gnumeric_export.desktop
%_datadir/services/kspread_gnumeric_import.desktop
%_datadir/services/kspread_html_export.desktop
%_datadir/services/kspread_latex_export.desktop
%_datadir/services/kspread_opencalc_export.desktop
%_datadir/services/kspread_opencalc_import.desktop
%_datadir/services/kspread_qpro_import.desktop

%_datadir/apps/kspread/scripts/exporthtml/ExportHtml.py
%_datadir/apps/kspread/scripts/exporthtml/ExportHtml.rc
%_datadir/apps/kspread/scripts/scripteditor/ScriptEditor.py
%_datadir/apps/kspread/scripts/scripteditor/ScriptEditor.rc
%_datadir/services/kspreadscripting.desktop

%files -n %lib_name-kpresenter-devel
%defattr(-,root,root)
%_libdir/libkpresenterimageexport.so
%_libdir/libkpresenterprivate.so

%files -n %lib_name-kpresenter
%defattr(-,root,root)
%_libdir/libkpresenterimageexport.la
%_libdir/libkpresenterimageexport.so.*

%_libdir/kde3/libolefilter.la
%_libdir/kde3/libolefilter.so

%_libdir/libkpresenterprivate.la
%_libdir/libkpresenterprivate.so.*
%_libdir/libkdeinit_kpresenter.la
%_libdir/libkdeinit_kpresenter.so


%_libdir/kde3/libkpresenterpart.la  
%_libdir/kde3/libkpresenterpart.so
%_libdir/kde3/libkprkword.la*
%_libdir/kde3/libkprkword.so*
%_libdir/kde3/libooimpressexport.la*
%_libdir/kde3/libooimpressexport.so*
%_libdir/kde3/libooimpressimport.la*
%_libdir/kde3/libooimpressimport.so*

%_libdir/kde3/libkpresenterbmpexport.la
%_libdir/kde3/libkpresenterbmpexport.so
%_libdir/kde3/libkpresenterjpegexport.la
%_libdir/kde3/libkpresenterjpegexport.so
%_libdir/kde3/libkpresentermngexport.la
%_libdir/kde3/libkpresentermngexport.so
%_libdir/kde3/libkpresenterpngexport.la
%_libdir/kde3/libkpresenterpngexport.so
%_libdir/kde3/libkpresentersvgexport.la
%_libdir/kde3/libkpresentersvgexport.so
%_libdir/kde3/libkpresenterxbmexport.la
%_libdir/kde3/libkpresenterxbmexport.so
%_libdir/kde3/libkpresenterxpmexport.la
%_libdir/kde3/libkpresenterxpmexport.so

%_libdir/kde3/kpresenter.la
%_libdir/kde3/kpresenter.so

%files kpresenter
%defattr(-,root,root)

%_bindir/kprconverter.pl
%_bindir/kpresenter

%_datadir/services/ole_powerpoint97_import.desktop
%_menudir/koffice-kpresenter

%_datadir/services/kpresenterpart.desktop

%_datadir/apps/kpresenter/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/kpresenter/icons/crystalsvg/22x22/actions/*.svg
%_datadir/apps/kpresenter/icons/crystalsvg/32x32/actions/*.png

%_datadir/apps/kpresenter/icons/crystalsvg/16x16/actions/alignobjs.svg

%_datadir/apps/kpresenter/pics/rotate/*.png
%_datadir/services/kpresenter_*_export.desktop
%dir %_docdir/HTML/en/kpresenter/
%doc %_docdir/HTML/en/kpresenter/common
%doc %_docdir/HTML/en/kpresenter/*.bz2
%doc %_docdir/HTML/en/kpresenter/*.docbook
%doc %_docdir/HTML/en/kpresenter/*.png

%dir %_datadir/apps/kpresenter/
%_datadir/apps/kpresenter/*.rc
#
%dir %_datadir/apps/kpresenter/autoforms/
%_datadir/apps/kpresenter/autoforms/.autoforms
#
%dir %_datadir/apps/kpresenter/autoforms/Arrows/
%_datadir/apps/kpresenter/autoforms/Arrows/.directory
%_datadir/apps/kpresenter/autoforms/Arrows/*.desktop
#
%dir %_datadir/apps/kpresenter/autoforms/Arrows/.icon/
%_datadir/apps/kpresenter/autoforms/Arrows/.icon/*.png
#
%dir %_datadir/apps/kpresenter/autoforms/Arrows/.source/
%_datadir/apps/kpresenter/autoforms/Arrows/.source/*.atf
#
%dir %_datadir/apps/kpresenter/autoforms/Connections/
%_datadir/apps/kpresenter/autoforms/Connections/.directory
%_datadir/apps/kpresenter/autoforms/Connections/*.desktop
#
%dir %_datadir/apps/kpresenter/autoforms/Connections/.icon/
%_datadir/apps/kpresenter/autoforms/Connections/.icon/*.png
#
%dir %_datadir/apps/kpresenter/autoforms/Connections/.source/
%_datadir/apps/kpresenter/autoforms/Connections/.source/*.atf
#
%dir %_datadir/apps/kpresenter/dtd/
%_datadir/apps/kpresenter/dtd/*.dtd
#
#
%dir %_datadir/apps/kpresenter/kpartplugins/
%_datadir/apps/kpresenter/kpartplugins/*.rc
#
%dir %_datadir/apps/kpresenter/pics/
%_datadir/apps/kpresenter/pics/*.png
#
%dir %_datadir/apps/kpresenter/slideshow/
%_datadir/apps/kpresenter/slideshow/*.png
#
%dir %_datadir/apps/kpresenter/templates/
%dir %_datadir/apps/kpresenter/templates/A4/
%_datadir/apps/kpresenter/templates/A4/.directory
%_datadir/apps/kpresenter/templates/A4/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/A4/.source/
%_datadir/apps/kpresenter/templates/A4/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/Screen/
%_datadir/apps/kpresenter/templates/Screen/.directory
%_datadir/apps/kpresenter/templates/Screen/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/Screen/.source/
%_datadir/apps/kpresenter/templates/Screen/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/Screenpresentations/
%_datadir/apps/kpresenter/templates/Screenpresentations/.directory
%_datadir/apps/kpresenter/templates/Screenpresentations/*.desktop
#
#
%dir %_datadir/apps/kpresenter/templates/Screenpresentations/.source/
%_datadir/apps/kpresenter/templates/Screenpresentations/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/legal/
%_datadir/apps/kpresenter/templates/legal/.directory
%_datadir/apps/kpresenter/templates/legal/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/legal/.source/
%_datadir/apps/kpresenter/templates/legal/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/letter/
%_datadir/apps/kpresenter/templates/letter/.directory
%_datadir/apps/kpresenter/templates/letter/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/letter/.source/
%_datadir/apps/kpresenter/templates/letter/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/icons/
%dir %_datadir/apps/kpresenter/icons/crystalsvg/
%dir %_datadir/apps/kpresenter/icons/crystalsvg/22x22/
%dir %_datadir/apps/kpresenter/icons/crystalsvg/22x22/actions/
%_datadir/apps/kpresenter/icons/crystalsvg/22x22/actions/*.png

%_datadir/applnk/Office/kpresenter.desktop

%_datadir/services/kpresenter_ooimpress_export.desktop
%_datadir/services/kpresenter_ooimpress_import.desktop
%_datadir/services/kprkword.desktop

%_datadir/apps/kpresenter/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kpresenter/icons/crystalsvg/scalable/actions/*.svgz
%_datadir/apps/kpresenter/icons/hicolor/48x48/actions/*.png


%if %krita_kjs_compile
%files -n %lib_name-krita-kjsembed
%defattr(-,root,root)
%_libdir/kde3/kritakjsembed.la
%_libdir/kde3/kritakjsembed.so
%endif

%files -n %lib_name-krita
%defattr(-,root,root)
%_libdir/kde3/libkritapdfimport.la
%_libdir/kde3/libkritapdfimport.so
%_libdir/kde3/krita.la
%_libdir/kde3/krita.so
%_libdir/kde3/kritacimg.la
%_libdir/kde3/kritacimg.so
%_libdir/kde3/kritacolorrange.la
%_libdir/kde3/kritacolorrange.so
%_libdir/kde3/kritacolorsfilters.la
%_libdir/kde3/kritacolorsfilters.so
%_libdir/kde3/kritacolorspaceconversion.la
%_libdir/kde3/kritacolorspaceconversion.so
%_libdir/kde3/kritaconvolutionfilters.la
%_libdir/kde3/kritaconvolutionfilters.so
%_libdir/kde3/kritadefaultpaintops.la
%_libdir/kde3/kritadefaultpaintops.so
%_libdir/kde3/kritadefaulttools.la
%_libdir/kde3/kritadefaulttools.so
%_libdir/kde3/kritaembossfilter.la
%_libdir/kde3/kritaembossfilter.so
%_libdir/kde3/kritaexample.la
%_libdir/kde3/kritaexample.so
%_libdir/kde3/kritagrayplugin.la
%_libdir/kde3/kritagrayplugin.so
%_libdir/kde3/kritahistogram.la
%_libdir/kde3/kritahistogram.so
%_libdir/kde3/kritaimagesize.la
%_libdir/kde3/kritaimagesize.so
%_libdir/kde3/kritaoilpaintfilter.la
%_libdir/kde3/kritaoilpaintfilter.so
%_libdir/kde3/kritaraindropsfilter.la
%_libdir/kde3/kritaraindropsfilter.so
%_libdir/kde3/kritargbplugin.la
%_libdir/kde3/kritargbplugin.so
%_libdir/kde3/kritarotateimage.la
%_libdir/kde3/kritarotateimage.so
%_libdir/kde3/kritascreenshot.la
%_libdir/kde3/kritascreenshot.so
%_libdir/kde3/kritaselectiontools.la
%_libdir/kde3/kritaselectiontools.so
%_libdir/kde3/kritashearimage.la
%_libdir/kde3/kritashearimage.so
%_libdir/kde3/kritatoolcrop.la
%_libdir/kde3/kritatoolcrop.so
%_libdir/kde3/kritatoolfilter.la
%_libdir/kde3/kritatoolfilter.so
%_libdir/kde3/kritatoolpolygon.la
%_libdir/kde3/kritatoolpolygon.so
%_libdir/kde3/kritatoolpolyline.la
%_libdir/kde3/kritatoolpolyline.so
%_libdir/kde3/kritatoolstar.la
%_libdir/kde3/kritatoolstar.so
%_libdir/kde3/kritatooltransform.la
%_libdir/kde3/krita_ycbcr_u16_plugin.la
%_libdir/kde3/krita_ycbcr_u16_plugin.so
%_libdir/kde3/krita_ycbcr_u8_plugin.la
%_libdir/kde3/krita_ycbcr_u8_plugin.so
%_libdir/kde3/kritablurfilter.la
%_libdir/kde3/kritablurfilter.so
%_libdir/kde3/kritaextensioncolorsfilters.la
%_libdir/kde3/kritaextensioncolorsfilters.so
%_libdir/kde3/kritafastcolortransfer.la
%_libdir/kde3/kritafastcolortransfer.so
%_libdir/kde3/kritalenscorrectionfilter.la
%_libdir/kde3/kritalenscorrectionfilter.so
%_libdir/kde3/kritamodifyselection.la
%_libdir/kde3/kritamodifyselection.so
%_libdir/kde3/kritanoisefilter.la
%_libdir/kde3/kritanoisefilter.so
%_libdir/kde3/kritaperftest.la
%_libdir/kde3/kritaperftest.so
%_libdir/kde3/kritarandompickfilter.la
%_libdir/kde3/kritarandompickfilter.so
%_libdir/kde3/kritasubstrate.la
%_libdir/kde3/kritasubstrate.so
%_libdir/kde3/kritatoolcurves.la
%_libdir/kde3/kritatoolcurves.so
%_libdir/kde3/kritatoolperspectivegrid.la
%_libdir/kde3/kritatoolperspectivegrid.so
%_libdir/kde3/kritatoolsiox.la
%_libdir/kde3/kritatoolsiox.so
%_libdir/kde3/kritatooltransform.so
%_libdir/kde3/kritaunsharpfilter.la
%_libdir/kde3/kritaunsharpfilter.so
%_libdir/kde3/kritawavefilter.la
%_libdir/kde3/kritawavefilter.so
%_libdir/kde3/libkritapart.la
%_libdir/kde3/libkritapart.so

%_libdir/kde3/kritatoolperspectivetransform.la
%_libdir/kde3/kritatoolperspectivetransform.so

%_libdir/kde3/libkrita_openexr_export.la
%_libdir/kde3/libkrita_openexr_export.so
%_libdir/kde3/libkrita_openexr_import.la
%_libdir/kde3/libkrita_openexr_import.so
%_libdir/kde3/libkrita_raw_import.la
%_libdir/kde3/libkrita_raw_import.so
%_libdir/kde3/libkritajpegexport.la
%_libdir/kde3/libkritajpegexport.so
%_libdir/kde3/libkritajpegimport.la
%_libdir/kde3/libkritajpegimport.so
%_libdir/kde3/libkritapngexport.la
%_libdir/kde3/libkritapngexport.so
%_libdir/kde3/libkritapngimport.la
%_libdir/kde3/libkritapngimport.so
%_libdir/kde3/libkritatiffexport.la
%_libdir/kde3/libkritatiffexport.so
%_libdir/kde3/libkritatiffimport.la
%_libdir/kde3/libkritatiffimport.so

%_libdir/kde3/krita_cmyk_u16_plugin.la
%_libdir/kde3/krita_cmyk_u16_plugin.so
%_libdir/kde3/krita_gray_u16_plugin.la
%_libdir/kde3/krita_gray_u16_plugin.so
%_libdir/kde3/krita_lms_f32_plugin.la
%_libdir/kde3/krita_lms_f32_plugin.so
%_libdir/kde3/krita_rgb_f16half_plugin.la
%_libdir/kde3/krita_rgb_f16half_plugin.so
%_libdir/kde3/krita_rgb_f32_plugin.la
%_libdir/kde3/krita_rgb_f32_plugin.so
%_libdir/kde3/krita_rgb_u16_plugin.la
%_libdir/kde3/krita_rgb_u16_plugin.so
%_libdir/kde3/kritabumpmap.la
%_libdir/kde3/kritabumpmap.so
%_libdir/kde3/kritacmykplugin.la
%_libdir/kde3/kritacmykplugin.so
%_libdir/kde3/kritadropshadow.la
%_libdir/kde3/kritadropshadow.so
%_libdir/kde3/kritafiltersgallery.la
%_libdir/kde3/kritafiltersgallery.so
%_libdir/kde3/kritahistogramdocker.la
%_libdir/kde3/kritahistogramdocker.so
%_libdir/kde3/kritaimageenhancement.la
%_libdir/kde3/kritaimageenhancement.so
%_libdir/kde3/kritapixelizefilter.la
%_libdir/kde3/kritapixelizefilter.so
%_libdir/kde3/kritaroundcornersfilter.la
%_libdir/kde3/kritaroundcornersfilter.so
%_libdir/kde3/kritascripting.la
%_libdir/kde3/kritascripting.so
%_libdir/kde3/kritaseparatechannels.la
%_libdir/kde3/kritaseparatechannels.so
%_libdir/kde3/kritasmalltilesfilter.la
%_libdir/kde3/kritasmalltilesfilter.so
%_libdir/kde3/kritasmearybrush.la
%_libdir/kde3/kritasmearybrush.so
%_libdir/kde3/kritasobelfilter.la
%_libdir/kde3/kritasobelfilter.so
%_libdir/kde3/kritatoolselectsimilar.la
%_libdir/kde3/kritatoolselectsimilar.so
%_libdir/kde3/kritawetplugin.la
%_libdir/kde3/kritawetplugin.so


%_libdir/libkdeinit_krita.la
%_libdir/libkdeinit_krita.so
%_libdir/libkritacommon.so.*
%_libdir/libkritacommon.la


%_libdir/libkrita_cmyk_u16.la
%_libdir/libkrita_cmyk_u16.so.*
%_libdir/libkrita_gray_u16.la
%_libdir/libkrita_gray_u16.so.*
%_libdir/libkrita_lms_f32.la
%_libdir/libkrita_lms_f32.so.*
%_libdir/libkrita_rgb_f16half.la
%_libdir/libkrita_rgb_f16half.so.*
%_libdir/libkrita_rgb_f32.la
%_libdir/libkrita_rgb_f32.so.*
%_libdir/libkrita_rgb_u16.la
%_libdir/libkrita_rgb_u16.so.*
%_libdir/libkritacolor.la
%_libdir/libkritacolor.so.*
%_libdir/libkritagrayscale.la
%_libdir/libkritagrayscale.so.*
%_libdir/libkritaimage.la
%_libdir/libkritaimage.so.*
%_libdir/libkritargb.la
%_libdir/libkritargb.so.*
%_libdir/libkritascripting.la
%_libdir/libkritascripting.so.*
%_libdir/libkritaui.la
%_libdir/libkritaui.so.*
%_libdir/libkrita_ycbcr_u16.so.*
%_libdir/libkrita_ycbcr_u8.so.*

%_libdir/libkrita_ycbcr_u16.la
%_libdir/libkrita_ycbcr_u8.la

%files -n %lib_name-krita-devel
%defattr(-,root,root)

%_libdir/libkritacommon.so
%_libdir/libkrita_cmyk_u16.so
%_libdir/libkrita_gray_u16.so
%_libdir/libkrita_lms_f32.so
%_libdir/libkrita_rgb_f16half.so
%_libdir/libkrita_rgb_f32.so
%_libdir/libkrita_rgb_u16.so
%_libdir/libkritacolor.so
%_libdir/libkritagrayscale.so
%_libdir/libkritaimage.so
%_libdir/libkritargb.so
%_libdir/libkritascripting.so
%_libdir/libkritaui.so
%_libdir/libkrita_ycbcr_u16.so
%_libdir/libkrita_ycbcr_u8.so
%_includedir/kis_*.h

%files krita
%defattr(-,root,root)
%dir %_datadir/apps/krita/brushes/
%_datadir/apps/krita/brushes/*.gbr
%_datadir/apps/krita/brushes/*.gih
%_bindir/krita

%_datadir/services/kritatoolperspectivetransform.desktop
%doc %_docdir/HTML/en/krita/README.SCREENSHOTS
%_datadir/apps/krita/scripts/filterstest/filterstest.rb
%_datadir/apps/krita/scripts/filterstest/filterstest.rc
%_datadir/apps/krita/scripts/torturefilters/torture-filters.rb
%_datadir/apps/krita/scripts/torturefilters/torture-filters.rc
%_datadir/apps/krita/scripts/torturepainting/torture-painting.rb
%_datadir/apps/krita/scripts/torturepainting/torture-painting.rc


%_datadir/apps/krita/brushes/Makefile.am
%_datadir/apps/krita/brushes/Makefile.in
%_datadir/apps/krita/palettes/Makefile.am
%_datadir/apps/krita/palettes/Makefile.in

%_datadir/services/krita_pdf_import.desktop
%_datadir/services/krita_ycbcr_u16_plugin.desktop
%_datadir/services/krita_ycbcr_u8_plugin.desktop
%_datadir/services/kritablurfilter.desktop
%_datadir/services/kritaextensioncolorsfilters.desktop
%_datadir/services/kritafastcolortransfer.desktop
%_datadir/services/kritalenscorrectionfilter.desktop
%_datadir/services/kritamodifyselection.desktop
%_datadir/services/kritanoisefilter.desktop
%_datadir/services/kritaperftest.desktop
%_datadir/services/kritarandompickfilter.desktop
%_datadir/services/kritasubstrate.desktop
%_datadir/services/kritatoolcurves.desktop
%_datadir/services/kritatoolperspectivegrid.desktop
%_datadir/services/kritatoolsiox.desktop
%_datadir/services/kritaunsharpfilter.desktop
%_datadir/services/kritawavefilter.desktop
%_datadir/services/krita_cmyk_u16_plugin.desktop
%_datadir/services/krita_gray_u16_plugin.desktop
%_datadir/services/krita_jpeg_export.desktop
%_datadir/services/krita_jpeg_import.desktop
%_datadir/services/krita_lms_f32_plugin.desktop
%_datadir/services/krita_openexr_export.desktop
%_datadir/services/krita_openexr_import.desktop
%_datadir/services/krita_png_export.desktop
%_datadir/services/krita_png_import.desktop
%_datadir/services/krita_raw_import.desktop
%_datadir/services/krita_rgb_f16half_plugin.desktop
%_datadir/services/krita_rgb_f32_plugin.desktop
%_datadir/services/krita_rgb_u16_plugin.desktop
%_datadir/services/krita_tiff_export.desktop
%_datadir/services/krita_tiff_import.desktop
%_datadir/services/kritabumpmapfilter.desktop
%_datadir/services/kritacmykplugin.desktop
%_datadir/services/kritacolorrange.desktop
%_datadir/services/kritacolorsfilter.desktop
%_datadir/services/kritacolorspaceconversion.desktop
%_datadir/services/kritaconvolutionfilters.desktop
%_datadir/services/kritadropshadow.desktop
%_datadir/services/kritaembossfilter.desktop
%_datadir/services/kritaexample.desktop
%_datadir/services/kritafiltersgallery.desktop
%_datadir/services/kritahistogram.desktop
%_datadir/services/kritahistogramdocker.desktop
%_datadir/services/kritaimageenhancement.desktop
%_datadir/services/kritaimagesize.desktop
%_datadir/services/kritaoilpaintfilter.desktop
%_datadir/services/kritapixelizefilter.desktop
%_datadir/services/kritaraindropsfilter.desktop
%_datadir/services/kritarotateimage.desktop
%_datadir/services/kritaroundcornersfilter.desktop
%_datadir/services/kritascreenshot.desktop
%_datadir/services/kritascripting.desktop
%_datadir/services/kritaseparatechannels.desktop
%_datadir/services/kritashearimage.desktop
%_datadir/services/kritasmalltilesfilter.desktop
%_datadir/services/kritasmearybrush.desktop
%_datadir/services/kritasobelfilter.desktop
%_datadir/services/kritatoolselectsimilar.desktop
%_datadir/services/kritawetplugin.desktop

%_datadir/applnk/Office/krita_jpeg.desktop
%_datadir/applnk/Office/krita_openexr.desktop
%_datadir/applnk/Office/krita_png.desktop
%_datadir/applnk/Office/krita_raw.desktop
%_datadir/applnk/Office/krita_tiff.desktop
%_datadir/applnk/Office/krita_pdf.desktop

%_datadir/apps/krita/scripts/changecs/changecs.rb
%_datadir/apps/krita/scripts/changecs/changecs.rc
%_datadir/apps/krita/scripts/invertpython/invert.py
%_datadir/apps/krita/scripts/invertpython/invertpython.rc
%_datadir/apps/krita/scripts/invertruby/invert.rb
%_datadir/apps/krita/scripts/invertruby/invertruby.rc
%_datadir/apps/krita/scripts/randompaint/randompaint.rb
%_datadir/apps/krita/scripts/randompaint/randompaint.rc
%_datadir/apps/krita/scripts/reshapehisto/reshapehisto.py
%_datadir/apps/krita/scripts/reshapehisto/reshapehisto.rc

%_datadir/apps/kritaplugins/*.rc

%_datadir/apps/krita/icons/crystalsvg/48x48/actions/template_cmyk_empty.png
%_datadir/apps/krita/icons/crystalsvg/scalable/actions/template_cmyk_empty.svgz
%_datadir/apps/krita/images/*.png

%_datadir/apps/krita/templates/cmyk/.directory
%_datadir/apps/krita/templates/cmyk/.source/white_2000x800.kra
%_datadir/apps/krita/templates/cmyk/white_2000x800.desktop

%doc %_docdir/HTML/en/krita/common
%doc %_docdir/HTML/en/krita/*.bz2
%doc %_docdir/HTML/en/krita/*.docbook
%doc %_docdir/HTML/en/krita/*.png

%_datadir/servicetypes/krita_colorspace.desktop
%_datadir/servicetypes/krita_colorspace.desktop

%dir %_datadir/apps/krita/
%dir %_datadir/apps/krita/kpartplugins/
%_datadir/apps/krita/kpartplugins/*.rc

%_menudir/koffice-krita
%_menudir/koffice-krita-pdf
#%_datadir/applnk/Office/krita_magick.desktop

%_datadir/applications/kde/krita.desktop

%dir %_datadir/apps/krita/dtd/
%_datadir/apps/krita/dtd/krita.dtd

%_datadir/apps/krita/gradients/*.ggr

%_datadir/apps/krita/icons/crystalsvg/48x48/actions/template_gray_empty.png
%_datadir/apps/krita/icons/crystalsvg/48x48/actions/template_rgb_empty.png
%_datadir/apps/krita/icons/crystalsvg/scalable/actions/template_gray_empty.svgz
%_datadir/apps/krita/icons/crystalsvg/scalable/actions/template_rgb_empty.svgz

%dir %_datadir/apps/krita/
%_datadir/apps/krita/*.rc

%dir %_datadir/apps/krita/palettes/
%_datadir/apps/krita/palettes/*.gpl

%dir %_datadir/apps/krita/patterns/
%_datadir/apps/krita/patterns/*.pat

%dir %_datadir/apps/krita/pics/
%_datadir/apps/krita/pics/*.xpm
%_datadir/apps/krita/pics/*.png

%dir %_datadir/apps/krita/profiles/
%_datadir/apps/krita/profiles/*.icm


%dir %_datadir/apps/krita/templates/gray/
%_datadir/apps/krita/templates/gray/.directory

%dir %_datadir/apps/krita/templates/gray/.source/
%_datadir/apps/krita/templates/gray/.source/white_640x480.kra
%_datadir/apps/krita/templates/gray/white_640x480.desktop
%_datadir/apps/krita/templates/rgb/.directory

%dir %_datadir/apps/krita/templates/rgb/.source/
%_datadir/apps/krita/templates/rgb/.source/*.kra

%dir %_datadir/apps/krita/templates/rgb/
%_datadir/apps/krita/templates/rgb/*.desktop


#%_datadir/services/krita_magick_export.desktop
#%_datadir/services/krita_magick_import.desktop
%_datadir/services/kritacimg.desktop
%_datadir/services/kritadefaultpaintops.desktop
%_datadir/services/kritadefaulttools.desktop
%_datadir/services/kritagrayplugin.desktop
%_datadir/services/kritapart.desktop
%_datadir/services/kritargbplugin.desktop
%_datadir/services/kritaselectiontools.desktop
%_datadir/services/kritatoolcrop.desktop
%_datadir/services/kritatoolfilter.desktop
%_datadir/services/kritatoolpolygon.desktop
%_datadir/services/kritatoolpolyline.desktop
%_datadir/services/kritatoolstar.desktop
%_datadir/services/kritatooltransform.desktop


%_datadir/servicetypes/krita_filter.desktop
%_datadir/servicetypes/krita_paintop.desktop
%_datadir/servicetypes/krita_plugin.desktop
%_datadir/servicetypes/krita_tool.desktop



%files -n %lib_name-kexi
%defattr(-,root,root)
%_libdir/kde3/kexi.la
%_libdir/kde3/kexi.so
%_libdir/kde3/kexidb_mysqldriver.la
%_libdir/kde3/kexidb_mysqldriver.so
%_libdir/kde3/kexidb_sqlite2driver.la
%_libdir/kde3/kexidb_sqlite2driver.so
%_libdir/kde3/kexidb_sqlite3driver.la
%_libdir/kde3/kexidb_sqlite3driver.so
%_libdir/kde3/kexihandler_form.la
%_libdir/kde3/kexihandler_form.so
%_libdir/kde3/kexihandler_migration.la
%_libdir/kde3/kexihandler_migration.so
%_libdir/kde3/kexihandler_query.la
%_libdir/kde3/kexihandler_query.so
%_libdir/kde3/kexihandler_relation.la
%_libdir/kde3/kexihandler_relation.so
%_libdir/kde3/kexihandler_script.la
%_libdir/kde3/kexihandler_script.so
%_libdir/kde3/kexihandler_table.la
%_libdir/kde3/kexihandler_table.so
%_libdir/kde3/keximigrate_mysql.la
%_libdir/kde3/keximigrate_mysql.so


%_libdir/kde3/kexihandler_macro.la
%_libdir/kde3/kexihandler_macro.so
%_libdir/kde3/libkspreadkexiimport.la
%_libdir/kde3/libkspreadkexiimport.so

%_libdir/kde3/kformdesigner_containers.la
%_libdir/kde3/kformdesigner_containers.so
%_libdir/kde3/kformdesigner_kexidbwidgets.la
%_libdir/kde3/kformdesigner_kexidbwidgets.so
%_libdir/kde3/kformdesigner_stdwidgets.la
%_libdir/kde3/kformdesigner_stdwidgets.so

%_libdir/libkexicore.la
%_libdir/libkexicore.so.*

%_libdir/libkexidatatable.la
%_libdir/libkexidatatable.so.*

%_libdir/libkdeinit_kexi.la
%_libdir/libkdeinit_kexi.so


%_libdir/libkexidb.la
%_libdir/libkexidb.so.*
%_libdir/libkexidbparser.la
%_libdir/libkexidbparser.so.*
%_libdir/libkexiextendedwidgets.la
%_libdir/libkexiextendedwidgets.so.*
%_libdir/libkexiformutils.la
%_libdir/libkexiformutils.so.*
%_libdir/libkexiguiutils.la
%_libdir/libkexiguiutils.so.*
%_libdir/libkeximain.la
%_libdir/libkeximain.so.*
%_libdir/libkeximigrate.la
%_libdir/libkeximigrate.so.*
%_libdir/libkexirelationsview.la
%_libdir/libkexirelationsview.so.*
%_libdir/libkexisql2.la
%_libdir/libkexisql2.so.*
%_libdir/libkexisql3.la
%_libdir/libkexisql3.so.*


%_libdir/libkexiutils.la
%_libdir/libkexiutils.so.*

%_libdir/libkformdesigner.la
%_libdir/libkformdesigner.so.*


%_libdir/libkoproperty.la
%_libdir/libkoproperty.so.*

%_libdir/kde3/kexihandler_csv_importexport.la
%_libdir/kde3/kexihandler_csv_importexport.so



%files -n %lib_name-kexi-devel
%defattr(-,root,root)
%dir %_includedir/kexidb/
%_includedir/kexidb/*.h
%_libdir/libkexicore.so
%_libdir/libkexidatatable.so

%_libdir/libkexidb.so
%_libdir/libkexidbparser.so
%_libdir/libkexiextendedwidgets.so
%_libdir/libkexiformutils.so
%_libdir/libkexiguiutils.so
%_libdir/libkeximain.so
%_libdir/libkeximigrate.so
%_libdir/libkexirelationsview.so
%_libdir/libkexisql2.so
%_libdir/libkexisql3.so
%_libdir/libkexiutils.so

%_libdir/libkformdesigner.so


%_libdir/libkoproperty.so


%dir %_includedir/kexiutils/
%_includedir/kexiutils/identifier.h
%_includedir/kexiutils/kexiutils_export.h
%_includedir/kexiutils/tristate.h
%_includedir/kexiutils/utils.h
%_includedir/kexiutils/validator.h

%files kexi
%defattr(-,root,root)
%_bindir/kexi
%_bindir/ksqlite
%_bindir/ksqlite2
%_bindir/ksqlite2to3

%_bindir/krossrunner

%_datadir/apps/kexi/scripts/copycenter/CopyCenter.py
%_datadir/apps/kexi/scripts/copycenter/CopyCenter.rc
%_datadir/apps/kexi/scripts/copycenter/CopyCenterPluginKexiDB.py
%_datadir/apps/kexi/scripts/copycenter/CopyCenterPluginQtSQL.py
%_datadir/apps/kexi/scripts/copycenter/readme.html

%_menudir/koffice-kexi

%dir %_docdir/HTML/en/kexi/
%doc %_docdir/HTML/en/kexi/common
%doc %_docdir/HTML/en/kexi/*.bz2
%doc %_docdir/HTML/en/kexi/*.docbook

%_docdir/HTML/en/kexi/contact-example.png
%dir %_datadir/apps/kexi/kross/

%_datadir/apps/kexi/kross/python/kexiapp/__init__.py
%_datadir/apps/kexi/pics/imagebox.png

%_datadir/apps/kexi/scripts/exportxhtml/ExportXHTML.py
%_datadir/apps/kexi/scripts/exportxhtml/ExportXHTML.rc
%_datadir/apps/kexi/scripts/importxhtml/ImportXHTML.py
%_datadir/apps/kexi/scripts/importxhtml/ImportXHTML.rc
%_datadir/apps/kexi/scripts/projectdocumentor/ProjectDocumentor.py
%_datadir/apps/kexi/scripts/projectdocumentor/ProjectDocumentor.rc

%_datadir/mimelnk/application/x-kexi-connectiondata.desktop


%_datadir/services/kexi/kexicsv_importexporthandler.desktop

%_datadir/services/kformdesigner/kformdesigner_*.desktop
%_datadir/applnk/Office/kexi.desktop


%_datadir/servicetypes/widgetfactory.desktop


%_datadir/apps/kexi/icons/crystalsvg/128x128/actions/form_action.png
%_datadir/apps/kexi/icons/crystalsvg/16x16/actions/*.png

%_datadir/apps/kexi/icons/crystalsvg/22x22/actions/*.png

%_datadir/apps/kexi/icons/crystalsvg/32x32/actions/*.png

%_datadir/apps/kexi/icons/crystalsvg/48x48/actions/*.png

%_datadir/apps/kexi/icons/crystalsvg/64x64/actions/*.png
%_datadir/apps/kexi/*.rc
%_datadir/apps/kexi/pics/cp-wiz.png


%_datadir/services/kexi/keximacrohandler.desktop
%_datadir/services/kspread_kexi_import.desktop

%_datadir/services/kexi/kexiformhandler.desktop
%_datadir/services/kexi/keximigrationhandler.desktop
%_datadir/services/kexi/kexiqueryhandler.desktop
%_datadir/services/kexi/kexirelationhandler.desktop
%_datadir/services/kexi/kexiscripthandler.desktop
%_datadir/services/kexi/kexitablehandler.desktop
%_datadir/services/kexidb_mysqldriver.desktop
%_datadir/services/kexidb_sqlite2driver.desktop
%_datadir/services/kexidb_sqlite3driver.desktop
%_datadir/services/keximigrate_mysql.desktop


%_datadir/mimelnk/application/x-kexiproject-shortcut.desktop
%_datadir/mimelnk/application/x-kexiproject-sqlite.desktop
%_datadir/mimelnk/application/x-kexiproject-sqlite2.desktop
%_datadir/mimelnk/application/x-kexiproject-sqlite3.desktop

%_datadir/servicetypes/kexidb_driver.desktop
%_datadir/servicetypes/kexihandler.desktop
%_datadir/servicetypes/keximigration_driver.desktop

%_datadir/config/kexirc
%_datadir/config/magic/kexi.magic


%files -n %lib_name-karbon-devel
%defattr(-,root,root)

%_libdir/libkarboncommon.so

%files -n %lib_name-karbon
%defattr(-,root,root)
%_libdir/kde3/libkfosvgexport.la
%_libdir/kde3/libkfosvgexport.so

%_libdir/kde3/liboodrawimport.la
%_libdir/kde3/liboodrawimport.so
%_libdir/kde3/karbon_flattenpathplugin.la*
%_libdir/kde3/karbon_flattenpathplugin.so*
%_libdir/kde3/karbon_imagetoolplugin.la*
%_libdir/kde3/karbon_imagetoolplugin.so*
%_libdir/kde3/karbon_insertknotsplugin.la*
%_libdir/kde3/karbon_insertknotsplugin.so*
%_libdir/kde3/karbon_roundcornersplugin.la*
%_libdir/kde3/karbon_roundcornersplugin.so*
%_libdir/kde3/karbon_shadoweffectplugin.la*
%_libdir/kde3/karbon_shadoweffectplugin.so*
%_libdir/kde3/karbon_whirlpinchplugin.la*
%_libdir/kde3/karbon_whirlpinchplugin.so*
%_libdir/kde3/karbon_zoomtoolplugin.la*
%_libdir/kde3/karbon_zoomtoolplugin.so*
%_libdir/kde3/libkarbonpart.la*
%_libdir/kde3/libkarbonpart.so*

%_libdir/kde3/libkarbonepsexport.la*
%_libdir/kde3/libkarbonepsexport.so*
%_libdir/kde3/libkarbonepsimport.la*
%_libdir/kde3/libkarbonepsimport.so*
%_libdir/kde3/libkarbonkontourimport.la*
%_libdir/kde3/libkarbonkontourimport.so*
%_libdir/kde3/libkarbonmsodimport.la*
%_libdir/kde3/libkarbonmsodimport.so*
%_libdir/kde3/libkarbonpngexport.la*
%_libdir/kde3/libkarbonpngexport.so*
%_libdir/kde3/libkarbonsvgexport.la*
%_libdir/kde3/libkarbonsvgexport.so*
%_libdir/kde3/libkarbonsvgimport.la*
%_libdir/kde3/libkarbonsvgimport.so*
%_libdir/kde3/libkarbonxcfexport.la*
%_libdir/kde3/libkarbonxcfexport.so*
%_libdir/kde3/libwmfexport.la*
%_libdir/kde3/libwmfexport.so*
%_libdir/kde3/libwmfimport.la*
%_libdir/kde3/libwmfimport.so*

%_libdir/libkarboncommon.la
%_libdir/libkarboncommon.so.*
%_libdir/libkdeinit_karbon.la
%_libdir/libkdeinit_karbon.so

%_libdir/kde3/karbon.la
%_libdir/kde3/karbon.so
%_libdir/kde3/libkarbonaiimport.la
%_libdir/kde3/karbon_defaulttools.la
%_libdir/kde3/karbon_defaulttools.so

%files karbon
%defattr(-,root,root)
%_datadir/applnk/Office/karbon.desktop
%_bindir/karbon

%_datadir/apps/karbon/templates/Basic/.directory
%_datadir/servicetypes/karbon_module.desktop

%_datadir/apps/karbon/icons/crystalsvg/48x48/actions/template_empty.png
%_datadir/apps/karbon/icons/crystalsvg/scalable/actions/template_empty.svgz
%_datadir/apps/karbon/icons/hicolor/16x16/actions/linestyle.png
%_datadir/apps/karbon/icons/hicolor/22x22/actions/linestyle.png
%_datadir/apps/karbon/templates/Basic/.source/empty.karbon
%_datadir/apps/karbon/templates/Basic/empty.desktop

%_datadir/services/karbon_oodraw_import.desktop
%_datadir/services/karbondefaulttools.desktop
%_datadir/services/karbonimagetool.desktop
%_datadir/services/karbonzoomtool.desktop


%_datadir/apps/karbon/icons/hicolor/16x16/apps/karbon.png
%_datadir/apps/karbon/icons/hicolor/22x22/apps/karbon.png
%_datadir/apps/karbon/icons/hicolor/32x32/apps/karbon.png
%_datadir/apps/karbon/icons/hicolor/48x48/apps/karbon.png
%_datadir/apps/karbon/icons/hicolor/scalable/apps/karbon.svgz


%_datadir/services/kplatopart.desktop


%doc %_docdir/HTML/en/karbon/common
%doc %_docdir/HTML/en/karbon/*.bz2
%doc %_docdir/HTML/en/karbon/*.docbook

%_menudir/koffice-karbon

%dir %_datadir/apps/karbon/
%_datadir/apps/karbon/*.rc

%_datadir/services/karbonpart.desktop


%dir %_datadir/apps/karbon/gradients/
%_datadir/apps/karbon/gradients/*.kgr

%dir %_datadir/apps/karbon/icons/
%dir %_datadir/apps/karbon/icons/crystalsvg/
%dir %_datadir/apps/karbon/icons/crystalsvg/16x16/
%dir %_datadir/apps/karbon/icons/crystalsvg/16x16/actions/
%_datadir/apps/karbon/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/karbon/icons/crystalsvg/22x22/
%dir %_datadir/apps/karbon/icons/crystalsvg/22x22/actions/
%_datadir/apps/karbon/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/karbon/kpartplugins/
%_datadir/apps/karbon/kpartplugins/*.rc


%_datadir/services/karbon_ai_import.desktop
%_datadir/services/karbon_eps_export.desktop
%_datadir/services/karbon_eps_import.desktop
%_datadir/services/karbon_kontour_import.desktop
%_datadir/services/karbon_msod_import.desktop
%_datadir/services/karbon_png_export.desktop
%_datadir/services/karbon_ps_import.desktop
%_datadir/services/karbon_svg_export.desktop
%_datadir/services/karbon_svg_import.desktop
%_datadir/services/karbon_wmf_export.desktop
%_datadir/services/karbon_wmf_import.desktop
%_datadir/services/karbon_xcf_export.desktop

%files progs
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%doc %_docdir/HTML/en/koffice/TODO


#We use kde <= 3.4
#%if %kde33branch
#%_datadir/mimelnk/application/vnd.oasis.opendocument.*.desktop
#%endif

%_bindir/koconverter
%_bindir/kthesaurus
#


%doc %_docdir/HTML/en/thesaurus/common
%doc %_docdir/HTML/en/thesaurus/*.bz2
%doc %_docdir/HTML/en/thesaurus/*.docbook

%dir %_docdir/HTML/en/koffice/
%doc %_docdir/HTML/en/koffice/*.odt
%doc %_docdir/HTML/en/koffice/common
%doc %_docdir/HTML/en/koffice/*.bz2
%doc %_docdir/HTML/en/koffice/*.docbook

#
%if 0
%dir %_docdir/HTML/en/koffice-apidocs/
%doc %_docdir/HTML/en/koffice-apidocs/common


%dir %_docdir/HTML/en/koffice/
%doc %_docdir/HTML/en/koffice/common
%doc %_docdir/HTML/en/koffice/README.documentation
%doc %_docdir/HTML/en/koffice/*.docbook
%doc %_docdir/HTML/en/koffice/*.bz2
#
#
##
%endif
#
#
#
#
%dir %_datadir/applnk/

%_datadir/applnk/Office/KThesaurus.desktop
%_menudir/koffice-KThesaurus
#
#
%dir %_datadir/apps/koffice/
%_datadir/apps/koffice/*.rc

%dir %_datadir/apps/koffice/hyphdicts
%_datadir/apps/koffice/hyphdicts/*.dic
%_datadir/apps/koffice/hyphdicts/*.xml

%dir %_datadir/apps/koffice/autocorrect/
%_datadir/apps/koffice/autocorrect/*.xml
#
#
%dir %_datadir/apps/koffice/pics/
%_datadir/apps/koffice/pics/*.png
#
%dir %_datadir/apps/koffice/icons/
%dir %_datadir/apps/koffice/icons/crystalsvg/
%dir %_datadir/apps/koffice/icons/crystalsvg/16x16/
%dir %_datadir/apps/koffice/icons/crystalsvg/16x16/actions/
%_datadir/apps/koffice/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/koffice/icons/crystalsvg/22x22/
%dir %_datadir/apps/koffice/icons/crystalsvg/22x22/actions/
%_datadir/apps/koffice/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/koffice/icons/crystalsvg/32x32/
%dir %_datadir/apps/koffice/icons/crystalsvg/32x32/actions/

%dir %_datadir/apps/koffice/icons/crystalsvg/48x48/actions/
%_datadir/apps/koffice/icons/crystalsvg/48x48/actions/*.png


%_datadir/apps/koffice/icons/crystalsvg/16x16/apps/go.png
%_datadir/apps/koffice/icons/crystalsvg/16x16/apps/key_bindings.png
%_datadir/apps/koffice/icons/crystalsvg/16x16/apps/style.png
%_datadir/apps/koffice/icons/crystalsvg/32x32/actions/*.png
%_datadir/apps/koffice/icons/crystalsvg/32x32/apps/go.png
%_datadir/apps/koffice/icons/crystalsvg/48x48/apps/key_bindings.png

%_datadir/icons/hicolor/128x128/apps/krita.png
%_datadir/icons/hicolor/16x16/apps/karbon.png
%_datadir/icons/hicolor/16x16/apps/kchart.png
%_datadir/icons/hicolor/16x16/apps/kexi.png
%_datadir/icons/hicolor/16x16/apps/kformula.png
%_datadir/icons/hicolor/16x16/apps/kivio.png
%_datadir/icons/hicolor/16x16/apps/kpresenter.png
%_datadir/icons/hicolor/16x16/apps/krita.png
%_datadir/icons/hicolor/16x16/apps/kspread.png
%_datadir/icons/hicolor/16x16/apps/kugar.png
%_datadir/icons/hicolor/16x16/apps/kword.png
%_datadir/icons/hicolor/22x22/apps/karbon.png
%_datadir/icons/hicolor/22x22/apps/kexi.png
%_datadir/icons/hicolor/22x22/apps/kformula.png
%_datadir/icons/hicolor/22x22/apps/kivio.png
%_datadir/icons/hicolor/22x22/apps/kpresenter.png
%_datadir/icons/hicolor/22x22/apps/krita.png
%_datadir/icons/hicolor/22x22/apps/kspread.png
%_datadir/icons/hicolor/22x22/apps/kugar.png
%_datadir/icons/hicolor/22x22/apps/kword.png
%_datadir/icons/hicolor/32x32/apps/karbon.png
%_datadir/icons/hicolor/32x32/apps/kchart.png
%_datadir/icons/hicolor/32x32/apps/kexi.png
%_datadir/icons/hicolor/32x32/apps/kformula.png
%_datadir/icons/hicolor/32x32/apps/kivio.png
%_datadir/icons/hicolor/32x32/apps/kpresenter.png
%_datadir/icons/hicolor/32x32/apps/krita.png
%_datadir/icons/hicolor/32x32/apps/kspread.png
%_datadir/icons/hicolor/32x32/apps/kugar.png
%_datadir/icons/hicolor/32x32/apps/kword.png
%_datadir/icons/hicolor/48x48/apps/karbon.png
%_datadir/icons/hicolor/48x48/apps/kchart.png
%_datadir/icons/hicolor/48x48/apps/kexi.png
%_datadir/icons/hicolor/48x48/apps/kformula.png
%_datadir/icons/hicolor/48x48/apps/kivio.png
%_datadir/icons/hicolor/48x48/apps/kpresenter.png
%_datadir/icons/hicolor/48x48/apps/krita.png
%_datadir/icons/hicolor/48x48/apps/kspread.png
%_datadir/icons/hicolor/48x48/apps/kugar.png
%_datadir/icons/hicolor/48x48/apps/kword.png
%_datadir/icons/hicolor/64x64/apps/krita.png
%_datadir/icons/hicolor/scalable/apps/karbon.svgz
%_datadir/icons/hicolor/scalable/apps/kexi.svgz
%_datadir/templates/.source/SpreadSheet.kst


%dir %_datadir/apps/koffice/icons/crystalsvg/scalable/actions/
%_datadir/apps/koffice/icons/crystalsvg/scalable/actions/*.svgz

#
#
#
%dir %_datadir/apps/xsltfilter/
%dir %_datadir/apps/xsltfilter/export/
%dir %_datadir/apps/xsltfilter/export/kword/
%dir %_datadir/apps/xsltfilter/export/kword/xslfo/
%_datadir/apps/xsltfilter/export/kword/xslfo/*.xsl

%dir %_datadir/apps/thesaurus/
%_datadir/apps/thesaurus/*.txt
#
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png

#
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
#


%dir %_iconsdir/crystalsvg/

%dir %_iconsdir/crystalsvg/16x16/

%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png

%dir %_iconsdir/crystalsvg/16x16/mimetypes/
%_iconsdir/crystalsvg/16x16/mimetypes/*.png

%dir %_iconsdir/crystalsvg/22x22/
%dir %_iconsdir/crystalsvg/22x22/actions/
%_iconsdir/crystalsvg/22x22/actions/*.png

%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/actions/
%_iconsdir/crystalsvg/32x32/actions/*.png
%dir %_iconsdir/crystalsvg/32x32/mimetypes/
%_iconsdir/crystalsvg/32x32/mimetypes/*.png


#
%_datadir/services/clipartthumbnail.desktop
%_datadir/services/generic_filter.desktop
%_datadir/services/kfile_koffice.desktop
%_datadir/services/kfile_ooo.desktop
%_datadir/services/kformula_latex_export.desktop
%_datadir/services/kformula_mathml_export.desktop
%_datadir/services/kformula_mathml_import.desktop
%_datadir/services/kformula_png_export.desktop
%_datadir/services/kformulapart.desktop
%_datadir/services/kodocinfopropspage.desktop
%_datadir/services/kofficethumbnail.desktop
%_datadir/services/kounavail.desktop
%_datadir/services/thesaurustool.desktop
%_datadir/services/xslt_export.desktop
%_datadir/services/xslt_import.desktop


#
%dir %_datadir/servicetypes/
%_datadir/servicetypes/kochart.desktop
%_datadir/servicetypes/kofficepart.desktop
%_datadir/servicetypes/kofilter.desktop
%_datadir/servicetypes/kofilterwrapper.desktop
%_datadir/servicetypes/koplugin.desktop

%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/*.desktop
						
%_datadir/apps/kross/python/RestrictedPython/*.py

%_datadir/apps/kross/python/gui.py


#
%dir %_datadir/templates/
%_datadir/templates/Illustration.desktop  
%_datadir/templates/SpreadSheet.desktop
%_datadir/templates/Presentation.desktop  
%_datadir/templates/TextDocument.desktop
#
%dir %_datadir/templates/.source/
%_datadir/templates/.source/Presentation.kpt  
%_datadir/templates/.source/TextDocument.kwt
%_datadir/templates/.source/Illustration.karbon



%_datadir/apps/kchart/icons/crystalsvg/32x32/actions/*.png

%_datadir/apps/kofficewidgets/pics/*.png

%_datadir/services/kfile_abiword.desktop
%_datadir/services/kfile_gnumeric.desktop

%files -n %lib_name-progs-devel
%defattr(-,root,root)
%_includedir/KoBrush.h
%_includedir/KoGeneralPropertyUi.h
%_includedir/KoOasisLoadingContext.h
%_includedir/KoPageLayoutColumns.h
%_includedir/KoPageLayoutHeader.h
%_includedir/KoPageLayoutSize.h
%_includedir/KoPen.h
%_includedir/KoSpeaker.h
%_includedir/KoStore.h
%_includedir/KoStoreDevice.h
%_includedir/KoXmlWriter.h
%_includedir/KoZoomMode.h
%_includedir/kobirdeyepanel.h

%_includedir/kkbdaccessextensions.h

%_includedir/kopalettemanager.h

%_includedir/KoApplication.h
%_includedir/KoCharSelectDia.h
%_includedir/KoChild.h
%_includedir/KoCommandHistory.h
%_includedir/KoContainerHandler.h
%_includedir/KoContextCelp.h
%_includedir/KoDocument.h
%_includedir/KoDocumentChild.h
%_includedir/KoDocumentInfo.h
%_includedir/KoDocumentInfoDlg.h
%_includedir/KoDom.h
%_includedir/KoEditPath.h
%_includedir/KoFactory.h
%_includedir/KoFilter.h
%_includedir/KoFilterChain.h
%_includedir/KoFilterManager.h
%_includedir/KoFrame.h
%_includedir/KoGenStyles.h
%_includedir/KoGlobal.h
%_includedir/KoGuideLineDia.h
%_includedir/KoGuides.h
%_includedir/KoImageResource.h
%_includedir/KoInsertLink.h
%_includedir/KoKoolBar.h
%_includedir/KoMainWindow.h
%_includedir/KoOasisSettings.h
%_includedir/KoOasisStyles.h
%_includedir/KoOpenPane.h
%_includedir/KoPageLayout.h
%_includedir/KoPageLayoutDia.h
%_includedir/KoPartSelectAction.h
%_includedir/KoPartSelectDia.h
%_includedir/KoPicture.h
%_includedir/KoPictureCollection.h
%_includedir/KoPictureFilePreview.h
%_includedir/KoPictureKey.h
%_includedir/KoPoint.h
%_includedir/KoQueryTrader.h
%_includedir/KoRuler.h
%_includedir/KoSelectAction.h
%_includedir/KoStyleStack.h
%_includedir/KoTabBar.h
%_includedir/KoTabChooser.h
%_includedir/KoTemplateChooseDia.h
%_includedir/KoTemplateCreateDia.h
%_includedir/KoTooluButton.h
%_includedir/KoUnit.h
%_includedir/KoUnitWidgets.h
%_includedir/KoView.h
%_includedir/KoXmlNS.h
%_includedir/KoZoomAction.h
%_includedir/KoZoomHandler.h
%_includedir/Kolinestyleaction.h
%_includedir/Kolinewidthaction.h
%_includedir/Koversiondialog.h

%_includedir/KoApplicationIface.h
%_includedir/KoDocumentIface.h
%_includedir/KoMainWindowIface.h
%_includedir/KoViewIface.h
%_includedir/kcoloractions.h
%_includedir/koChart.h
%_includedir/kofficeversion.h
%_includedir/tkaction.h
%_includedir/tkcoloractions.h
%_includedir/tkcombobox.h
%_includedir/tktoolbarbutton.h
%_includedir/koffice_export.h



%_libdir/kde3/libkarbonaiimport.so

%_libdir/libkowmf.so
%_libdir/libkstore.so
%_libdir/libkwmf.so
%_libdir/libkochart.so

%_libdir/libkofficecore.so
%_libdir/libkofficeui.so
%_libdir/libkotext.so
%_libdir/libkopainter.so
%_libdir/libkopalette.so

%_includedir/kross/api/*.h
%_includedir/kross/main/*.h


%if %compile_apidox
%dir %_docdir/HTML/en/koffice-apidocs/lib/
%dir %_docdir/HTML/en/koffice-apidocs/lib/html/

%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.html
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/installdox
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.png
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.css
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.md5
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.map
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.dot
%doc %_docdir/HTML/en/koffice-apidocs/lib/*.tag

%endif

%_libdir/libkrossapi.so
%_libdir/libkrossmain.so


%files -n %lib_name-progs
%defattr(-,root,root)
#

%_libdir/libkrossapi.la
%_libdir/libkrossapi.so.*
%_libdir/libkrossmain.la
%_libdir/libkrossmain.so.*

%_libdir/libkstore.la
%_libdir/libkwmf.la
%_libdir/libkofficecore.la
%_libdir/libkofficeui.la
%_libdir/libkotext.la
%_libdir/libkopainter.la
%_libdir/libkochart.la
%_libdir/libkowmf.la

%_libdir/kde3/kthesaurus.la
%_libdir/kde3/kthesaurus.so
%_libdir/libkdeinit_kthesaurus.la
%_libdir/libkdeinit_kthesaurus.so


%_libdir/libkopalette.la
%_libdir/libkopalette.so.*

#
%_libdir/libkofficecore.so.*
%_libdir/libkofficeui.so.*
%_libdir/libkotext.so.*
%_libdir/libkopainter.so.*
%_libdir/libkochart.so.*
%_libdir/libkstore.so.*
%_libdir/libkwmf.so.*
%_libdir/libkowmf.so.*


%_libdir/kde3/kfile_abiword.la
%_libdir/kde3/kfile_abiword.so

%_libdir/kde3/kfile_gnumeric.la
%_libdir/kde3/kfile_gnumeric.so
%_libdir/kde3/clipartthumbnail.la
%_libdir/kde3/clipartthumbnail.so
%_libdir/kde3/kfile_koffice.la
%_libdir/kde3/kfile_koffice.so
%_libdir/kde3/kfile_ooo.la
%_libdir/kde3/kfile_ooo.so
%_libdir/kde3/kodocinfopropspage.so
%_libdir/kde3/kofficescan.la
%_libdir/kde3/kofficescan.so
%_libdir/kde3/kofficethumbnail.la
%_libdir/kde3/kofficethumbnail.so

%_libdir/kde3/libgenerickofilter.la
%_libdir/kde3/libgenerickofilter.so
%_libdir/kde3/libkfolatexexport.la
%_libdir/kde3/libkfolatexexport.so
%_libdir/kde3/libkfomathmlexport.la
%_libdir/kde3/libkfomathmlexport.so
%_libdir/kde3/libkfomathmlimport.la
%_libdir/kde3/libkfomathmlimport.so
%_libdir/kde3/libkfopngexport.la
%_libdir/kde3/libkfopngexport.so
%_libdir/kde3/libkounavailpart.so
%_libdir/kde3/libthesaurustool.la
%_libdir/kde3/libthesaurustool.so
%_libdir/kde3/libxsltexport.la
%_libdir/kde3/libxsltexport.so
%_libdir/kde3/libxsltimport.la
%_libdir/kde3/libxsltimport.so


%_libdir/kde3/krosskexiapp.la
%_libdir/kde3/krosskexiapp.so
%_libdir/kde3/krosskexidb.la
%_libdir/kde3/krosskexidb.so
%_libdir/kde3/krosskritacore.la
%_libdir/kde3/krosskritacore.so
%_libdir/kde3/krosspython.la
%_libdir/kde3/krosspython.so
%_libdir/kde3/krossruby.la
%_libdir/kde3/krossruby.so

%dir %_libdir/kde3/
%_libdir/kde3/kodocinfopropspage.la
%_libdir/kde3/libkounavailpart.la




%changelog
* Fri Aug 03 2007 Vincent Danen <vdanen@mandriva.com> 1.5.91-3.4mdv2007.0
- P19: security fix for CVE-2007-3387

* Tue Jan 16 2007 Stew Benedict <sbenedict@mandriva.com> 1.5.91-3.3mdv2007.0
- P18: security fix for CVE-2007-0104

* Thu Nov 30 2006 Stew Benedict <sbenedict@mandriva.com> 1.5.91-3.2mdv2007.0
- use a smaller arbitrary "too many blocks" limit (0x1000 vs 0x10000) in P17

* Mon Nov 27 2006 Stew Benedict <sbenedict@mandriva.com> 1.5.91-3.1mdv2007.0
- P17: security fix for CVE-2006-6120
- disable broken kde33branch conditionals

* Tue Sep 12 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-12 19:06:27 (61090)
- Fix mng mimetype error

* Tue Sep 12 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-12 18:52:20 (61089)
- Fix krita_pdf mimetypes

* Tue Sep 12 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-12 18:32:48 (61083)
- New package (2006-09-12 3mdv)
  Fix kchart mimetypes

* Sun Sep 10 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-10 20:18:43 (60743)
- New package (1.5.91-2mdv 2006/09/10)
  Rebuild for missing package...
  koffice doesn't compile with --enable-final

* Sat Sep 09 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-09 14:08:30 (60702)
- Fix file list

* Fri Sep 08 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-08 11:54:05 (60606)
- Fix compile

* Fri Sep 08 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-08 10:31:45 (60597)
- New package (2006-09-08 1.5.91-1mdv)
  1.6-beta1

* Tue Sep 05 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-09-05 10:38:46 (59948)
- New package (1.5.90-4mdv 2006-09-05)
  Rebuild against mysql

* Fri Aug 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-11 13:52:56 (55623)
- Fix buildrequires

* Fri Aug 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-11 13:46:02 (55621)
- Fix spec files

* Thu Aug 10 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-10 19:10:13 (55439)
- New package (2006/08/10 1.5.90-3mdv)
  Fix icon for kugardesigner

* Wed Aug 09 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-09 09:54:25 (54634)
- New package (2006/08/09 1.5.90-2mdv)
  Obsolete krita-plugins package

* Thu Aug 03 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-03 09:53:38 (43154)
- Add sources

* Thu Aug 03 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-03 09:50:09 (43147)
- New package (2006/08/03 1.5.90-1mdv)

* Tue Jul 25 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-25 09:18:05 (42053)
- Fix icons

* Sun Jul 23 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-23 15:07:34 (41941)
- Disable debug

* Fri Jul 14 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-14 15:00:37 (41106)
- 1.5.2

* Tue Jul 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-11 08:58:02 (38731)
- Now each apps requires a koffice-apps to avoid to install
  all koffice when we install a koffice-l10n

* Tue Jul 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-11 08:50:05 (38730)
- Each program must requires koffice-l10n and not just metapackage

* Tue Jul 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-11 08:39:37 (38729)
- Rebuild

* Wed Jun 21 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-21 11:06:08 (37713)
- Requires just kghostview-lib

* Wed Jun 21 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-21 09:42:13 (37710)
- Fix crash into kivio
  Use new macro for updating mimetype database

* Mon Jun 19 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-19 15:11:24 (37614)
- Fix spec file (patch from noeclust)

* Wed Jun 07 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-07 13:20:01 (36764)
- Fix file list

* Wed Jun 07 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-07 10:01:35 (36751)
- Remove patch

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Sat May 27 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-27 12:50:38 (31620)
- Need to rebuild for missing package...

* Wed May 24 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-24 08:28:19 (31431)
- Add patch

* Wed May 24 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-24 08:27:42 (31430)
- Add patch to compile kexi

* Tue May 23 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-23 13:46:57 (27903)
- 1.5.1

* Fri May 19 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-19 11:15:50 (27666)
- Rebuild with new xorg

* Sat May 06 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-06 13:50:29 (26981)
- Rebuild to generate category

* Thu Apr 13 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-04-13 13:38:40 (26476)
- Fix kplato menu entry section fix bug #21981

* Wed Apr 12 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-04-12 09:37:38 (26457)
- Add source

* Wed Apr 12 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-04-12 09:36:07 (26456)
- 1.5.0

* Thu Mar 30 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-03-30 12:27:40 (26214)
- Add patch to build koffice with --enable-final

* Wed Mar 29 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-03-29 15:24:58 (26189)
- 1.5.0-rc1

* Wed Mar 22 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-03-22 10:18:18 (26055)
- Add requires

* Tue Mar 14 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-03-14 11:51:57 (20584)
- Fix file list

* Sat Mar 11 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-03-11 11:15:28 (1941)
- koffice-1.5-beta2

* Tue Feb 14 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-14 15:06:39 (1733)
- Fix devel file (found by Thierry Vignaud)

* Mon Feb 13 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-13 09:27:49 (1728)
- Fix buildrequires found by Christiaan Welvaart

* Mon Feb 13 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-13 09:27:17 (1727)
- Fix build requires found by Christiaan Welvaart

* Wed Feb 08 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-08 17:05:49 (1686)
- Fix spec file pb found by fundawang

* Thu Feb 02 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-02 11:59:20 (1555)
- Fix conflict
  Fix spec file

* Thu Feb 02 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-02 10:03:29 (1553)
- Fix buildrequires

* Wed Feb 01 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-01 16:21:54 (1542)
- Disable debug

* Wed Feb 01 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-01 15:07:21 (1537)
- Fix spec file

* Tue Jan 31 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-31 23:05:49 (1529)
- koffice-1.5-beta1

* Tue Jan 31 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-31 08:40:49 (1514)
- Enable debug for cooker
  MDK9.2 is obsolete now

* Tue Dec 27 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-12-27 17:39:04 (1350)
- Use koffice-1.4.2 branch

* Sat Dec 03 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-12-03 09:01:19 (1241)
- Rebuild

* Fri Nov 04 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-04 18:09:11 (1121)
- Fix typo
  * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
- Rebuild with new mysql
  * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
- New immodule patch

* Thu Nov 03 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-03 09:55:22 (1109)
- Upgrade release number

* Thu Nov 03 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-03 09:54:47 (1108)
- Fix display kthesaurus icon

* Wed Nov 02 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-02 16:26:43 (1107)
- Fix generate krita menu

* Mon Oct 17 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-10-17 10:08:16 (1020)
- Forgot it

* Mon Oct 17 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-10-17 10:04:34 (1019)
- 1.4.2

* Wed Sep 21 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-21 13:50:17 (923)
- Fix kthesaurus icons
  (TODO test it)

* Sat Sep 10 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-10 18:05:43 (879)
- Last sync

* Fri Sep 09 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-09 14:04:57 (866)
- Add diff

* Fri Sep 09 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-09 08:59:37 (856)
- Rebuild

* Thu Sep 01 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-01 18:44:26 (793)
- Fix requires

* Sun Aug 28 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-28 10:03:39 (761)
- Necessary to use --libsuffix

* Wed Aug 24 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-24 16:42:12 (734)
- Rebuild against imagemagick

* Tue Aug 23 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-23 10:07:38 (716)
- Fix bug #17764 Kthesaurus : missing Menu Entry

* Fri Aug 19 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-19 10:41:07 (704)
- Fix conflict avec kexi

* Sun Aug 14 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-14 03:03:22 (631)
- Rebuild

* Tue Aug 02 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-02 03:56:22 (499)
- Fix error into spec file found by Nicolas Chipaux

* Thu Jul 28 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-28 11:35:08 (457)
- Requires koffice-l10n

* Wed Jul 20 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-20 04:20:35 (382)
- 1.4.1

* Wed Jul 20 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-20 01:41:04 (379)
- Add all sources

* Wed Jul 13 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-13 06:48:05 (371)
- Update spec

* Wed Jul 13 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-13 02:14:27 (370)
- I hope that it's the last missing package

* Wed Jul 13 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-13 02:13:04 (369)
- Add missing other file

* Wed Jul 13 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-13 02:11:47 (368)
- Add missing file

* Wed Jul 13 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-13 02:10:26 (367)
- Add

* Wed Jul 13 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-13 02:07:23 (366)
- Add patch from SVN branch (big fix)

* Thu Jul 07 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-07 09:25:12 (334)
- Rebuild for x86_64

* Thu Jul 07 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-07 09:23:42 (333)
- Fix pb in requires (reported by Fred Lepied)

* Wed Jun 29 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-06-29 04:26:54 (253)
- Sync

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 16:18:57 (36)
- Uploading package ./koffice

%changelog
* Fri Jun 24 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-3mdk
- Fix pb in requires (reported by Fred Lepied)

* Thu Jun 23 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-2mdk
- 1.4.0a 

* Thu Jun 16 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-1mdk
- 1.4
- Fix error reported by Fred Lepied

* Wed Jun 01 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-0.rc1.1mdk
- rc1

* Fri May 13 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-0.beta1.4mdk
- Requires wordnet for kword (bug found by Titi)

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-0.beta1.3mdk
- Fix error reported by Jaros?aw Staniek <js@iidea.pl> 

* Mon May 02 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-0.beta1.2mdk
- Add requires to libwpd-devel need by wordperfect filter

* Tue Apr 19 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-0.beta1.1mdk
- 1.4.0-beta1
- Fix to compile under kde 3.3

* Fri Mar 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-24mdk
- Add patch26: fix filter kde bug #98040

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-23mdk
- Add patch25: fix kspread kde bug #95553

* Fri Feb 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-22mdk
- Add patch23: fix kchart kde bug #98898
- Add patch24: fix kchart kde bug #72041

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-21mdk
- Disable debug

* Mon Feb 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-20mdk
- Sync with CVS (a lot of fix into gnumeric filter)

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-19mdk
- Fix BuildREquires

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-18mdk
- Add patch24: fix filter #97960

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-17mdk
- Fix generate menu entry

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-16mdk
- Add patch23: fix underline text

* Thu Jan 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-15mdk
- Add patch22: fix other xpdf overflow

* Thu Jan 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-14mdk
- Rebuild

* Wed Jan 19 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-13mdk
- Add patch20: fix kounitwidget
- Add patch21: fix xpdf overflow

* Tue Jan 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-12mdk
- Add patch19: fix koffice bug #96416

* Tue Jan 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-11mdk
- Add patch18: fix ooimpress export filter (export abstract)

* Mon Jan 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-10mdk
- Rebuild

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-9mdk
- Add patch17: fix kpresenter performance image

* Wed Dec 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-8mdk
- Add patch15: fix xpdf buffer overflow
- Add patch16: fix dcop interface

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-7mdk
- Add patch14: fix kodocument create dcop

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-6mdk
- Add patch13: fix use python2.4

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-5mdk
- Add patch12: fix kpresenter kde bug #94754

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-4mdk
- Add patch11: fix kovariable mem leak

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-3mdk
- Fix open document

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-2mdk
- Rebuild with new python

* Wed Nov 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-1mdk
- 1.3.5

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.4-4mdk
- Add requires on arts

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.4-3mdk
- Add patch10 fix pdf security fix

* Sat Oct 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.4-2mdk
- Update source (fix kpdf security fix)

* Wed Oct 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4

* Fri Sep 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.3-2mdk
- Fix conflict (upgrade from MDK 9.1)

* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.3-1mdk
- New release 1.3.3

* Mon Sep 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-21mdk
- Update code from CVS

* Thu Sep 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-20mdk
- Fix generate kivio menu

* Wed Sep 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-19mdk
- Sync with CVS (fix bidi into kword/kpresenter)

* Fri Aug 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-18mdk
- Sync with CVS (fix kpresenter style)

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-17mdk
- Sync with cvs

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-16mdk
- Add debug

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-15mdk
- Sync with CVS (fix filter)

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-14mdk
- Fix generate menu entry

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-13mdk
- Fix requires

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-12mdk
- Fix spec file

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-11mdk
- Create a virtual package for koffice

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-10mdk
- Fix install

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-9mdk
- Split package

* Mon Aug 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-8mdk
- Clean spec file

* Fri Jul 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-7mdk
- Split package

* Fri Jul 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-6mdk
- Sync witj CVS

* Thu Jul 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-5mdk
- Fix spec file

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-3mdk
- Generate doc

* Thu Jul 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-2mdk
- Rebuild with new ImageMagik lib
- 1.3.2 see changelog into http://www.koffice.org/announcements/changelog-1.3.2.php

* Thu Jul 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Tue Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-3mdk
- Rebuild

* Mon May 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-2mdk
- Fix srpms

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-14mdk
- Fix BuildRequires

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-13mdk
- Use %%configure
- Use mdkversion
- Add support for mdk 10.1
- Add "use_python" variable

* Fri Mar 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-11mdk
- Don't install koffice when we install koffice-devel

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-10mdk
- Rebuild

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-9mdk
- Update code

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-8mdk
- Fix menu entry

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-7mdk
- Rebuild with good kdelibs

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-6mdk
- Fix icons

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-4mdk
- Sync with koffice-1.3-branch
- Fix distlint

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-3mdk
- Fix missing files

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-2mdk
- Fix with new menu

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-1mdk
- 1.3

* Mon Jan 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc2.3mdk
- Fix epoch

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc2.2mdk
- use use_enable_final variable
- Reverte VFolder menu type to 'menu' menu type

* Fri Dec 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc2.1mdk
- RC2

* Tue Nov 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc1.3mdk
- Fix menu

* Thu Nov 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc1.2mdk
- Sync with CVS

* Wed Oct 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.rc1.1mdk
- 1.3

* Fri Sep 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta4.1mdk
- 1.3

* Wed Sep 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta3.6mdk
- Fix requires

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta3.5mdk
- Update code ( a lot of fix)

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta3.4mdk
- Fix requires
- Disable debug

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta3.2mdk
- Fix karbon menu entry

* Sun Aug 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta3.1mdk
- beta3
- Fix BuildRequires (Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>)

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.9mdk
- Rebuild

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.9mdk
- Rebuild

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.8mdk
- Fix requires/provides

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.7mdk
- Libification

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.6mdk
- Fix install

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.5mdk
- Fix requires

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.4mdk
- Rebuild

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.3mdk
- Rebuild

* Fri Jul 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.2mdk
- Fix buildRequires

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.2mdk
- Build msword filter

* Thu Jun 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta2.1mdk
- 1.3beta2

* Wed Apr 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta1.2mdk
- Fix conflict with openoffice

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta1.1mdk
- 1.3 beta1

* Tue Apr 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-9mdk
- Add patch5: patch from Stew Benedict <sbenedict@mandrakesoft.com> to fix bug in karbon

* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-8mdk
- Add patch7 : add by default aspell as spell check

* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-7mdk
- Update code fix kword->kpresenter filter
- Fix thumbnail csv file => don't show dialogbox when we are a csv file
in konqueror

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-6mdk
- Update from koffice_1_2_branch ( fix filter problem)

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-5mdk
- Update code from koffice-1.2 branch

* Wed Jan 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-4mdk
- Rebuild

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-3mdk
- Update code from koffice_1_2_branch minor fix

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-2mdk
- Add patch3 : fix ok button in kotemplatechoosedia

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-11mdk
- Make it lib64-aware
- Update code to 1.2-branch (2002/11/22)
- Fix buildrequires ( Laurent )

* Wed Nov 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-10mdk
- Fix menu

* Mon Nov 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-9mdk
- Update code 

* Sun Oct 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-8mdk
- Add patch3 : fix bad commit, now Enter key works

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-7mdk
- Update code from KOFFICE_1_2_BRANCH 

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-5mdk
- Fix menu entry

* Sat Oct 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-5mdk
- Rebuild

* Mon Oct 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-4mdk
- Update code from koffice_1_2_branch

* Fri Sep 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-3mdk
- Remove debug
- Add patch2 : fix kivio draw connector

* Tue Sep 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Update code from koffice_1_2_branch fix crash in koshell
Fix mem leak in filter
Fix macro in kspread
Fix copy/paste in kpresenter.

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- Final

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.8mdk
- Update code from CVS : fix kspread/kpresenter/kivio bugs

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.7mdk
- Update code from CVS : fix kpresenter/karbon bugs

* Sat Aug 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.6mdk
- Update code from CVS : Fix mem leak, fix bidi

* Fri Aug 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.5mdk
- Update code from CVS

* Thu Aug 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.4mdk
- Fix url

* Wed Aug 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.3mdk
- Add kugar menu entry

* Tue Aug 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.2mdk
- Update code from CVS

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.1mdk
- Update code from cvs

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.5mdk
- Add requires kdelibs >= 3.0.2

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.4mdk
- Rebuild against gcc-3.2

* Tue Aug 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.3mdk
- Update code from CVS.

* Tue Aug 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.2mdk
- Remove kontour template. Kontour is completly broken.

* Tue Jul 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.1mdk
- RC1

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.7mdk
- Rebuild against gcc-3.2

* Mon Jul 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.6mdk
- Rebuild

* Sat Jun 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.5mdk
- Add patch2-3-4-5-6-7-8-9-10-11-12-13 some critical fix for kword/kpresenter

* Wed Jun 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.4mdk
- Fix crash in kivio

* Wed Jun 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.3mdk
- Update code source

* Sun Jun 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.1mdk
- beta2

* Sun Jun 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.5mdk
- Patch3: fix compile

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.5mdk
- Rebuild with new kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.4mdk
- Rebuild against gcc3.1
- Add patch2 fix compile with gcc3.1

* Tue Apr 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.3mdk
- Add patch1 : fix big bug in kword

* Tue Apr 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.2mdk
- Add patch0 : fix big bug in kword

* Thu Apr 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.1mdk
- koffice-1.2beta1

* Mon Apr 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-9mdk
- Requires kdegraphics3 and not kdegraphics

* Sat Apr 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-8mdk
- Add patch4 : fix mem leak in kspread

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-7mdk
- fix update menu

* Fri Mar 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-6mdk
- Fix bug in kword

* Fri Mar 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-5mdk
- Fix compile on 8.3

* Fri Mar 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-4mdk
- Fix compile on 8.1

* Fri Mar 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-3mdk
- Fix conflict with kdelibs3

* Fri Mar 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-2mdk
- Fix spec file

* Wed Mar 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- koffice1.1.1 for kde3.0

